package com.mortals.xhx.feign.api;

import com.mortals.xhx.common.pdu.sms.SmsSendReq;
import com.mortals.xhx.feign.IFeign;
import com.mortals.framework.exception.AppException;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @描述
 * @创建人 zxfei
 * @创建时间 2021/1/19
 * @修改人和其它信息
 */
@FeignClient(name = "${application.register.service-name:coops-gate-api/m}")
public interface IApiGateFeign extends IFeign {


    /**
     * 短信发送
     * @param
     * @return
     * @throws AppException
     */
    @PostMapping(value = "/sms/send")
    String smsSend(SmsSendReq smsSendReq) throws AppException;

}
