package com.mortals.xhx.base.framework.config;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.config.PropertyPlaceholderConfigurer;
import org.springframework.context.annotation.Bean;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;

import com.mortals.framework.web.config.BasePropertyPlaceholderConfigurer;


//@Configuration
public class IotServiceDataConfiguration {

    @Bean
    public PropertyPlaceholderConfigurer properties() {
        BasePropertyPlaceholderConfigurer bppc = new BasePropertyPlaceholderConfigurer();
        bppc.setIgnoreUnresolvablePlaceholders(true);

        final List<Resource> resourceLst = new ArrayList<>();
        resourceLst.add(new ClassPathResource("bootstrap.properties"));
        bppc.setLocations(resourceLst.toArray(new Resource[] {}));
        return bppc;
    }
}
