package com.mortals.xhx.base.system.param.service;


import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.xhx.base.system.param.model.ParamEntity;

/**
 * <p>Title: 参数信息</p>
 * <p>Description: ParamService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author
 * @version 1.0.0
 */

public interface ParamService extends ICRUDCacheService<ParamEntity, Long> {
	
	/**
	 * 通过Key获取参数值
	 * @param key
	 * @return
	 */
    String getValueByKey(String key);

}