


/******************************************************/
/******************************************************/

//下述变量用于标明Csp选择列表显示的模式：
//   0 == CspListDisplayMode : RSA算法CSP以及国密算法CSP都显示；
//   1 == CspListDisplayMode : 仅显示RSA算法CSP
//   2 == CspListDisplayMode : 仅显示国密算法CSP
// 用法：在jsp中获取到此js文件后，添加SetCspListDisplayMode(GM_MODE);则在CSP列表中仅显示国密算法CSP
var OS = window.navigator.platform;
var GM_MODE = 2;
var RSA_MODE = 1;
var BOTH_RSA_GM_MODE = 0;
var CspListDisplayMode = BOTH_RSA_GM_MODE;

var DT_UNENCODING = 0;
var DT_BASE64 = 1;

var KT_SIGNATURE = 0;
var KT_EXCHANGE = 1;

var KET_UNENCRYPT = 0;
var KET_ENCBYSIGNKEY = 1;
var M_PROVNAME = "";

var Err_SaveSingle = 1000;
var Err_SaveDouble = 2000;
var Err_SaveSign = 2001;  // 签名证书保存失败
var Err_SaveEnc = 2002;   // 加密证书保存失败

var OLE_E_FIRST = 0x80040000;    // 错误码或操作

var ERR_HAVENOUSERDEVICE = 26; 	//没有用户设备
var ERR_HAVENOMANAGERDEVICE = 27; 	//没有管理员设备
var ERR_TOOMANYUSERDEVICE = 28; 	//无法判断哪支是管理员设备,请确保您的电脑上只插有一支用户设备
var ERR_USERKEYINVALID = 29; //用户设备无效
var ERR_ADMINKEYINVALID = 30;   //操作员设备无效

//错误返回代码
var ERR_CANCEL = 25;
var ERR_LAST = 29;

var OLE_E_FIRST = 0x80040000;    // 错误码或操作
var isMac = false;

var $_$onUsbKeyChangeCallBackFunc = null; //custom onUsbkeyChange callback function
// 判断操作系统
function detectOS() {
    var sUserAgent = navigator.userAgent;

    var isWin = (navigator.platform == "Win32") || (navigator.platform == "Windows");
    var isMac = (navigator.platform == "Mac68K") || (navigator.platform == "MacPPC") || (navigator.platform == "Macintosh") || (navigator.platform == "MacIntel");
    if (isMac) return "Mac";
    var isUnix = (navigator.platform == "X11") && !isWin && !isMac;
    if (isUnix) return "Unix";
    var isLinux = (String(navigator.platform).indexOf("Linux") > -1);

    var bIsAndroid = sUserAgent.toLowerCase().match(/android/i) == "android";
    if (isLinux) {
        if (bIsAndroid) return "Android";
        else return "Linux";
    }
    if (isWin) {
        var isWin2K = sUserAgent.indexOf("Windows NT 5.0") > -1 || sUserAgent.indexOf("Windows 2000") > -1;
        if (isWin2K) return "Win2000";
        var isWinXP = sUserAgent.indexOf("Windows NT 5.1") > -1 ||
            sUserAgent.indexOf("Windows XP") > -1;
        if (isWinXP) return "WinXP";
        var isWin2003 = sUserAgent.indexOf("Windows NT 5.2") > -1 || sUserAgent.indexOf("Windows 2003") > -1;
        if (isWin2003) return "Win2003";
        var isWinVista = sUserAgent.indexOf("Windows NT 6.0") > -1 || sUserAgent.indexOf("Windows Vista") > -1;
        if (isWinVista) return "WinVista";
        var isWin7 = sUserAgent.indexOf("Windows NT 6.1") > -1 || sUserAgent.indexOf("Windows 7") > -1;
        if (isWin7) return "Win7";
    }
    return "other";
}


function isFF() {
    return navigator.userAgent.indexOf("Firefox") != -1;
}

function isChrome() {
    return navigator.userAgent.indexOf("Chrome") != -1;
}

//对于IE11的判断需要使用userAgent中的Trident进行判断
function isIE() {

    var isIEof11 = isIE11();
	var bisIE = checkBrowserISIE();
    return ((navigator.appName.indexOf("Microsoft Internet Explorer") != -1 && document.all) || isIEof11 || bisIE);
}

function checkBrowserISIE() 
{
    return (!!window.ActiveXObject || 'ActiveXObject' in window) ? true : false;
}

//IE11的判断已经不能使用MSIE来判断 userAgent：Mozilla/5.0 (Windows NT 6.3; Trident/7.0; rv 11.0) like Gecko
function isIE11() {
    var trident = navigator.userAgent.split(";")[2];
    var trident64 = navigator.userAgent.split(";")[3];

    if (trident == null && trident64 == null) {
        //alert("trident is null");
        return false;
    }

    var isx86 = false;
    var isx64 = false;

    if (trident != null) {
        isx86 = navigator.userAgent.split(";")[2].toLowerCase().indexOf("trident") == "-1" ? false : true;
    }

    if (trident64 != null) {
        isx64 = navigator.userAgent.split(";")[3].toLowerCase().indexOf("trident") == "-1" ? false : true;
    }

    return isx86 || isx64;
}

if(isIE()){
	if(typeof(UniContrl) != 'object')
	{
		document.write('<object classid="CLSID:1256C72B-2043-47FE-B328-4E2801C7BEA6" id="UniContrl">');
		document.write('</object>');
	}
	
	if(typeof(SM2Contrl) != 'object')
	{
		document.write('<object classid="CLSID:90198650-D9B9-42F0-9896-62CB79020723" id="SM2Contrl">');
		document.write('</object>');
	}
}else{
	document.write('<object id="ccitplugin" type="application/x-cmcacontrl" width="0" height="0">');
	document.write('</object>');
}
plugin = ccitplugin;


function ccitplugin() {
    return document.getElementById('ccitplugin');
}

var _xmlhttp;


function GetHttpResult() {
    if (_xmlhttp.readyState == 4 && _xmlhttp.status == 200) {
        var obj = eval("(" + _xmlhttp.responseText + ")");
        return obj;
    }
    else {
        return null;
    }
}

function AjaxIO(json_in) {
	try{
		var _url= "http://127.0.0.1:8098";
		var json = json_in;
		if (_xmlhttp == null) {
			if (window.XMLHttpRequest) { // code for IE7+, Firefox, Chrome, Opera, Safari
				_xmlhttp = new XMLHttpRequest();
			} else { // code for IE6, IE5
				_xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
			}
		}

		if ("https:" == document.location.protocol) {
			_url = "https://127.0.0.1:8099";
		}
		
		_xmlhttp.open("POST", _url, false);
		_xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		
		
		_xmlhttp.send("json=" + json);
	}
	catch(e){
		alert("证书助手功能异常，请修复或重装");
	}
}


function Base64() {

    // private property
    _keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";

    // public method for encoding
    this.encode = function (input) {
        var output = "";
        var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
        var i = 0;
        input = _utf8_encode(input);
        while (i < input.length) {
            chr1 = input.charCodeAt(i++);
            chr2 = input.charCodeAt(i++);
            chr3 = input.charCodeAt(i++);
            enc1 = chr1 >> 2;
            enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
            enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
            enc4 = chr3 & 63;
            if (isNaN(chr2)) {
                enc3 = enc4 = 64;
            } else if (isNaN(chr3)) {
                enc4 = 64;
            }
            output = output +
                _keyStr.charAt(enc1) + _keyStr.charAt(enc2) +
                _keyStr.charAt(enc3) + _keyStr.charAt(enc4);
        }
        return output;
    }

    // public method for decoding
    this.decode = function (input) {
        var output = "";
        var chr1, chr2, chr3;
        var enc1, enc2, enc3, enc4;
        var i = 0;
        input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
        while (i < input.length) {
            enc1 = _keyStr.indexOf(input.charAt(i++));
            enc2 = _keyStr.indexOf(input.charAt(i++));
            enc3 = _keyStr.indexOf(input.charAt(i++));
            enc4 = _keyStr.indexOf(input.charAt(i++));
            chr1 = (enc1 << 2) | (enc2 >> 4);
            chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
            chr3 = ((enc3 & 3) << 6) | enc4;
            output = output + String.fromCharCode(chr1);
            if (enc3 != 64) {
                output = output + String.fromCharCode(chr2);
            }
            if (enc4 != 64) {
                output = output + String.fromCharCode(chr3);
            }
        }
        output = _utf8_decode(output);
        return output;
    }

    // private method for UTF-8 encoding
    _utf8_encode = function (string) {
        string = string.replace(/\r\n/g, "\n");
        var utftext = "";
        for (var n = 0; n < string.length; n++) {
            var c = string.charCodeAt(n);
            if (c < 128) {
                utftext += String.fromCharCode(c);
            } else if ((c > 127) && (c < 2048)) {
                utftext += String.fromCharCode((c >> 6) | 192);
                utftext += String.fromCharCode((c & 63) | 128);
            } else {
                utftext += String.fromCharCode((c >> 12) | 224);
                utftext += String.fromCharCode(((c >> 6) & 63) | 128);
                utftext += String.fromCharCode((c & 63) | 128);
            }

        }
        return utftext;
    }

    // private method for UTF-8 decoding
    _utf8_decode = function (utftext) {
        var string = "";
        var i = 0;
        var c = c1 = c2 = 0;
        while (i < utftext.length) {
            c = utftext.charCodeAt(i);
            if (c < 128) {
                string += String.fromCharCode(c);
                i++;
            } else if ((c > 191) && (c < 224)) {
                c2 = utftext.charCodeAt(i + 1);
                string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
                i += 2;
            } else {
                c2 = utftext.charCodeAt(i + 1);
                c3 = utftext.charCodeAt(i + 2);
                string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
                i += 3;
            }
        }
        return string;
    }
}


function dec2hex(decnum) {
    var hexcode;
    var hexnum = "0123456789ABCDEF";
    var n;
    n = 0;
    hexcode = "";
    while (n < 16) {
        i = decnum & 0x0000000F;
        hexcode = hexnum.substring(i, i + 1) + hexcode;
        decnum = decnum >> 4;
        n++;
    }

    hexcode = "0x" + hexcode;
    return hexcode;
}
function ISBrowerSupport() {
    var userAgent = navigator.userAgent;
    var BroFlag = false;
    if (/[Ff]irefox(\/\d+\.\d+)/.test(userAgent)) {
        BroFlag = true;
    } else if (/MSIE \d+\.\d+/.test(userAgent)) {
        tempArray = /MS(IE) (\d+\.\d+)/.exec(userAgent);
        BroFlag = true;
    } else if (/[Cc]hrome\/\d+/.test(userAgent)) {
        BroFlag = true;
    } else if (!!window.ActiveXObject || "ActiveXObject" in window) {
        BroFlag = true;
    }
    return BroFlag;
}


var IntervalTm = 0;

// set custom usbkeychange callback
function SetOnUsbKeyChangeCallBack(callback) {
    $_$onUsbKeyChangeCallBackFunc = callback;
}

function checkComSetuped() {
    try {

        var json;
        if ( isIE()) {
            UniContrl.test();
            return true;
        }
        else {
            json = '{"function":"checkComSetuped"' + '}';
            try {
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                ////console.log("checkComSetuped=" + ret.resultMSG);
                if (ret.resultMSG == 0)
                    return true;
                else
                    return false;
            }
        }
    }
    catch (ex) {
        alert("没有安装控件!");
        return false;
    }
}



//判断是否插入Key，有插入ukey返回1；无对应provName的ukey返回0；
function ISUKConnect(provName)
{ 
	var ret = 0;		
	      try
	      {	  
			if ( isIE()) {
				if(provName == "")
				{
				   ret = UniContrl.ISUKConnect();
				}
				else
				{
				  if(true == IsSM2SupportValid(provName))
				  {
					 // ret = initProv(provName);modified by pangsiming 2012-5-25
					 //得到已插入设备的个数
					 var devCnt = SM2Contrl.enumDevice(provName, "", 1);
					 if(1 <= devCnt)
					 ret = 1;
					 else
					 ret = 0;
				  }
				  else
				  {
					  ret = UniContrl.ISUKConnect();
				  }
				  
				}
				return ret;   
			}
			else {
				if(provName == "")
				{
				    json = '{"function":"ISUKConnect"' + '}';
				}
				else
				{
				  if(true == IsSM2SupportValid(provName))
				  {
					var json = '{"function":"enumDevice", "provName":"' + provName + '", "certData":"' + "" + '","UserType":' + 1 + '}';
				  }
				  else
				  {
					 json = '{"function":"ISUKConnect"' + '}';
				  }
				  
				}
           
            try {
                AjaxIO(json);
            }
            catch (e) {
                return 0;
            }

            var ret = GetHttpResult();
            if (ret) {
                
                if (ret.resultMSG >= 1)
                    return 1;
                else
                    return 0;
            }
			}
           
	    }
	      catch(e)
	      {
		        if (e.description != "")
		        {
		            //alert("发生错误！\r\n错误码:" + dec2hex(e.number) + "\r\n" + "错误描述：" + e.description);
				alert("判断是否插入Key发生错误！" + "\r\n" + "错误描述：" + e.description);
		        }
		        else
		        {
		            alert("判断是否插入Key失败.");
		        }
		        return 0;
	      }
	     
}
//判断是否插入Key，有插入ukey返回1；无对应provName的ukey返回0；
function ISUKConnectEX() {
    var ret = 0;
    ret = getUKeyNum();
    if (ret <= 0)
        return 0;
    else
        return 1;
}

//sm2设备已经被选择与否的标志
var IsSM2DevSelected = 0;
function IsSM2SupportValid(provName) {
    var Is_SM2SupportValid = false;
    try {
        if ( isIE()) {
            for (i = 0; i < SM2Contrl.providersCount; i++) {
                if (provName == SM2Contrl.enumProviders(i)) {
                    Is_SM2SupportValid = true;
                    break;
                }
            }
            return Is_SM2SupportValid;
        }
        else {
            try {
                var json;
                json = '{"function":"IsSM2SupportValid", "provName":"' + provName + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return 0;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("IsSM2SupportValid=" + ret.resultMSG);
                return ret.resultMSG;
            }
        }
    }
    catch (ex) {
        return false;
    }
}

// 列举设备，显示到listctl中
/***************************
该函数使用了控件中的三个接口，枚举CSP、获取CSP描述、获取CSP数量
功能：将CSP描述列举到页面下拉列表中
******************************/
function enumProvider(listctl) {
    var i;
    var element;
    while (listctl.length > 0) {
        listctl.remove(0);
    }

    try {
        if ( isIE()) {
            for (i = 0; i < UniContrl.providersCount; i++) {
                element = document.createElement("OPTION");

                element.value = UniContrl.enumProviders(i);
                element.text = UniContrl.getProvidersDesciption(element.value);
                if (RSA_MODE == CspListDisplayMode || BOTH_RSA_GM_MODE == CspListDisplayMode) {
                    listctl.add(element);
                }
            }

			/******************
			* 枚举sm2控件支持的CSP
			* 区分国密和RSA算法下显示CSP的情况，见文件头部CspListDisplayMode的说明
			*******************/
            for (i = 0; i < SM2Contrl.providersCount; i++) {
                element = document.createElement("OPTION");

                element.value = SM2Contrl.enumProviders(i);
                element.text = SM2Contrl.getProvidersDesciption(element.value);
                if (GM_MODE == CspListDisplayMode || BOTH_RSA_GM_MODE == CspListDisplayMode) {
                    listctl.add(element);
                }
            }


            element = document.createElement("OPTION");
            element.value = "zhongfu";
            element.text = "智能密码钥匙(中孚)";
            listctl.add(element);

            if (listctl.length > 0) {
                listctl.selectedIndex = 0;
            }
            if (listctl.length == 0) {
                element = document.createElement("OPTION");
                element.value = -1;
                listctl.add(element);
            }

            return true;
        }
        else {
            // 调用接口
            try {
                var json;
                json = '{"function":"enumProvider"' + '}';
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("enumProvider=" + ret.resultMSG);

                var jsArray = ret.resultMSG.split("#");
                var length = jsArray.length;
                var i = 0;

                while (i < length / 2) {
                    element = document.createElement("OPTION");
                    element.text = jsArray[i * 2];
                    element.value = jsArray[i * 2 + 1];
                    if (element.text.length > 0)
                        listctl.add(element);
                    i++;
                }

                element = document.createElement("OPTION");
                element.value = "zhongfu";
                element.text = "智能密码钥匙(中孚)";
                listctl.add(element);
            }

            return true;

        }
    }
    catch (e) {
        if (e.description != "") {
            alert("列举设备发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("列举设备失败!");
        }
        return false;
    }

}


function initProv(provName) {
    var ret;
    try {
        if ( isIE()) {
            if (true == IsSM2SupportValid(provName)) {
                SM2Contrl.providerName = provName;
                IsSM2DevSelected = 1;
            }
            else {
                UniContrl.providerName = provName;
                IsSM2DevSelected = 0;
            }
            M_PROVNAME = provName;

			return 0;
        }
        else {
            var json;
            if (true == IsSM2SupportValid(provName)) {
                IsSM2DevSelected = 1;
                json = '{"function":"PutSM2ProviderName", "provName":"' + provName + '"}';
            }
            else {
                IsSM2DevSelected = 0;
                json = '{"function":"PutRSAProviderName", "provName":"' + provName + '"}';
            }

            AjaxIO(json);
            var ret = GetHttpResult();
            if (ret) {
                //console.log("initProv=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    // alert("初始化连接设备发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if ((e.number & 0xF000) == 0x6000) {
            alert("发生错误!\r\n请确定USB Key已经正确插入，然后再重试!");
            func(-1);
        }
        if (e.description != "") {
            // alert("初始化连接设备发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("初始化连接设备失败.");
        }
        return -1;
    }
}

//algType:算法类型，0--RSA；1--SM2
function initProvWithALG(provName, algType) {
    var ret;
    try {
        if ( isIE()) {
            if (1 == algType) {
                SM2Contrl.providerName = provName;
                IsSM2DevSelected = 1;
            }
            else {
                UniContrl.providerName = provName;
                IsSM2DevSelected = 0;
            }
            M_PROVNAME = provName;

            return 0;
        }
        else {
            var json;
            if (1 == algType) {
                IsSM2DevSelected = 1;
                json = '{"function":"PutSM2ProviderName", "provName":"' + provName + '"}';
            }
            else {
                IsSM2DevSelected = 0;
                json = '{"function":"PutRSAProviderName", "provName":"' + provName + '"}';
            }

            AjaxIO(json);
            var ret = GetHttpResult();
            if (ret) {
                //console.log("initProv=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    // alert("初始化连接设备发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if ((e.number & 0xF000) == 0x6000) {
            alert("发生错误!\r\n请确定USB Key已经正确插入，然后再重试!");
            func(-1);
        }
        if (e.description != "") {
            // alert("初始化连接设备发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("初始化连接设备失败.");
        }
        return -1;
    }
}

//内部接口，仅为genSM2KeyPairPOP以及genSM2KeyPair提供服务
function getSM2CertEx() {
    if (OS == "Win32") {
        try {
            var cert = plugin().readCert(M_PROVNAME);
            if ((cert == "") || (cert == null) || (typeof (cert) == "undefined")) {
                return "";
            }
            return cert;
        } catch (e) {
            return "";
        }
    }
    else {
        try {
            var cert = SM2Contrl.readCert();
            if ((cert == "") || (cert == null) || (typeof (cert) == "undefined")) {
                return "";
            }

            return cert;

        } catch (e) {
            return "";
        }
    }
}

//判断是否RSA证书
function isRSACert(certData){
	try {
            if ( isIE()) {
               
				var ret = UniContrl.isRSACert(certData);
				return ret;
            }
            else {
                try {
                    var json;
                    json = '{"function":"isRSACert", "certData":"' + certData + '"}';
                    AjaxIO(json);
                }
                catch (e) {
                    return -1;
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("isRSACert=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("判断是否RSA证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
						  return -2;
                    }
					else{
						return ret.resultMSG;
					}
                    
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("判断是否RSA证书发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("判断是否RSA证书发生错误.");
            }
            return -3;
        }
}

function getCertPubKey(certData) {
        try {
            if ( isIE()) {
               var pubKey;
				var ret = UniContrl.isRSACert(certData);
				if(ret == true)
				{
					pubKey = UniContrl.GetCertPubKey(certData);
				}
				else{
					pubKey = SM2Contrl.GetCertPubKey(certData);
				}
                
                if ((pubKey == "") || (pubKey == null) || (typeof (pubKey) == "undefined")) {
                    alert("获取证书公钥失败.");
                    return "";
                }
                else {
                    return pubKey;
                }
            }
            else {
                try {
                    var json;
                    json = '{"function":"getCertPubKey", "certData":"' + certData + '"}';
                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCertPubKey=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书公钥发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书公钥发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取证书公钥失败.");
            }
            return "";
        }
}

//获取证书颁发者
function getCertIssuer(certData) {
        try {
            if ( isIE()) {
                certIssuer = UniContrl.getCertIssuer(certData);
                if ((certIssuer == "") || (certIssuer == null) || (typeof (certIssuer) == "undefined")) {
                    return "";
                }
                else {
                    return certIssuer;
                }
            }
            else {
                try {
                    var json;
                    json = '{"function":"getCertIssuer", "certData":"' + certData + '"}';
                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCertIssuer=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书颁发者发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书颁发者发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取证书颁发者失败.");
            }
            return "";
        }
  
}

//获取证书主题项
function getCertSubject(certData) {
        try {
            if ( isIE()) {
                certSubject = UniContrl.getCertSubject(certData);
                if ((certSubject == "") || (certSubject == null) || (typeof (certSubject) == "undefined")) {
                    return "";
                }
                else {
                    return certSubject;
                }
            }
            else {
                try {
                    var json;
                    json = '{"function":"getCertSubject", "certData":"' + certData + '"}';
                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCertSubject=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书主题项发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书主题项发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取证书主题项失败.");
            }
            return "";
        }
}

function getCertNotBefore(certData) {
        try {
            if ( isIE()) {
                certNotBefore = UniContrl.getCertNotBefore(certData);
                return certNotBefore;
            }
            else {
                try {
                    var json;
                    json = '{"function":"getCertNotBefore", "certData":"' + certData + '"}';
                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCertNotBefore=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书有效起始日期发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书有效起始日期发生错误!" + "\r\n" + "错误描述：" + e.description);

            }
            else {
                alert("获取证书有效起始日期失败.");
            }
            return "";
        }
}

function getCertNotAfter(certData) {
  
        try {
            if ( isIE()) {
                certNotAfter = UniContrl.getCertNotAfter(certData);
                return certNotAfter;
            }
            else {
                try {
                    var json;
                    json = '{"function":"getCertNotAfter", "certData":"' + certData + '"}';
                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCertNotAfter=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书有效终止日期发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书有效终止日期发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取证书有效终止日期失败.");
            }
            return "";
        }
 
}

function getCertSN(certData) {
  
        try {
            if ( isIE()) {
                certSN = UniContrl.getCertSN(certData);
                return certSN;
            }
            else {
                try {
                    var json;
                    json = '{"function":"getCertSN", "certData":"' + certData + '"}';
                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCertSN=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书序列号发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书序列号发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取证书序列号失败.");
            }
            return "";
        }
}

function getCertExtension(certData, extensionID) {

        try {
            if ( isIE()) {
                var certExtension = UniContrl.getCertExtension(certData, extensionID);
                return certExtension;
            }
            else {
                try {
                    var json;
                    json = '{"function":"getCertExtension", "certData":"' + certData + '","extensionID":"' + extensionID + '"}';
                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCertExtension=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书扩展项信息发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书扩展项信息发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取证书扩展项信息失败.");
            }
            return "";
        }
}


function getSerialNumber() {
        var cert;
        var certSN;
        cert = getCert();
        if (cert == "") {
            return "";
        }

        certSN = getCertSN(cert);
        return certSN;
}

function symEncrypt(symAlg, srcData, keyData) {
    try {
        if ( isIE()) {
            var ret;
            var res;
            res = encodeURI(srcData);
            if (symAlg == "sm1" && IsSM2DevSelected == 1) {
                ret = SM2Contrl.symEncryptSM1(res, DT_UNENCODING, keyData, DT_UNENCODING);
            }
            else if (IsSM2DevSelected == 0) {
                UniContrl.cryptAlgorithm = symAlg;
                ret = UniContrl.encrypt(res, DT_UNENCODING, keyData, DT_UNENCODING);
            }
            else {
                alert("参数有误");
            }
            return ret;
        }
        else {
            var res;
            res = encodeURI(srcData);
            var json;
            try {
                if (symAlg == "sm1" && IsSM2DevSelected == 1) {
                    ret = plugin().symEncryptSM1(res, DT_UNENCODING, keyData, DT_UNENCODING);
                    json = '{"function":"symEncryptSM1", "srcData":"' + res + '","srcencoding":' + DT_UNENCODING + ',"keyData":"' + keyData + '","keyEncoding":' + DT_UNENCODING + '}';
                }
                else if (IsSM2DevSelected == 0) {
                    json = '{"function":"encrypt", "symAlg":"' + symAlg + '","srcData":"' + res + '","srcencoding":' + DT_UNENCODING + ',"keyData":"' + keyData + '","keyEncoding":' + DT_UNENCODING + '}';

                }

                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("symEncrypt=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("对称加密发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("对称加密发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("对称加密失败.");
        }
        return "";
    }
}

function symDecrypt(symAlg, encData, keyData) {
    try {
        if ( isIE()) {
            var ret;
            var res;
            if (symAlg == "sm1" && IsSM2DevSelected == 1) {
                res = SM2Contrl.symDecryptSM1(encData, keyData, 0, 0);
            }
            else if (IsSM2DevSelected == 0) {
                UniContrl.cryptAlgorithm = symAlg;
                res = UniContrl.decrypt(encData, keyData, DT_UNENCODING, DT_UNENCODING);
            }
            else {
                alert("参数有误");
            }
            ret = decodeURI(res);
            return ret;
        }
        else {
            var res;

            var json;
            try {
                if (symAlg == "sm1" && IsSM2DevSelected == 1) {
                    ret = plugin().symEncryptSM1(res, DT_UNENCODING, keyData, DT_UNENCODING);
                    json = '{"function":"symDecryptSM1", "encData":"' + encData + '","encEncoding":' + DT_UNENCODING + ',"keyData":"' + keyData + '","keyEncoding":' + DT_UNENCODING + '}';
                }
                else if (IsSM2DevSelected == 0) {
                    json = '{"function":"decrypt", "symAlg":"' + symAlg + '","encData":"' + encData + '","encEncoding":' + DT_UNENCODING + ',"keyData":"' + keyData + '","keyEncoding":' + DT_UNENCODING + '}';

                }

                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("symDecrypt=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("对称解密发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                res = decodeURI(ret.resultMSG);
                return res;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("对称解密发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("对称解密失败.");
        }
        return "";
    }
}

function RSAEncrypt(srcData, KeySpec) {
    try {
        var src;
        if ( isIE()) {
            src = encodeURI(srcData);
            UniContrl.keySpec = KeySpec;
            ret = UniContrl.rsaEncrypt(src, DT_UNENCODING, "");
            return ret;
        }
        else {
            try {

                src = encodeURI(srcData);

                var json;
                json = '{"function":"rsaEncrypt", "srcData":"' + src + '","KeySpec":' + KeySpec + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("rsaEncrypt=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("RSA加密发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            var L111 = e.number;
            var L222 = OLE_E_FIRST | L111;
            var L333 = OLE_E_FIRST ^ L222;
            if (ERR_CANCEL == L333) {
                return "";
            }
            alert("RSA加密发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("RSA加密失败.");
        }
        return "";
    }
}

function RSADecrypt(encdata, KeySpec) {
    try {
        if ( isIE()) {
            var ret;
            var res;
            UniContrl.keySpec = KeySpec;
            res = UniContrl.rsaDecrypt(encdata, "", DT_UNENCODING);
            ret = decodeURI(res);
            return ret;
        }
        else {
            try {
                var json;
                json = '{"function":"rsaDecrypt", "encdata":"' + encdata + '","KeySpec":' + KeySpec + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("rsaDecrypt=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("RSA解密发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                var res = decodeURI(ret.resultMSG);
                return res;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("RSA解密发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("RSA解密失败.");
        }
        return "";
    }
}

function genSM2KeyPairPOP(modulus, randStr) {
    try {
        if ( isIE()) {
            ret = SM2Contrl.genSM2KeyPair(256); //后台modulus使用的曲线号码7，故这里写死为模长256
            if ((ret == "") || (ret == null) || (typeof (ret) == "undefined")) {
                alert("获取公钥失败.");
                return "";
            }
            else {
                return ret;
            }
        }
        else {
            try {
                var json;
                json = '{"function":"genSM2KeyPair"' + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("genSM2KeyPair=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取公钥发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取公钥发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取公钥失败.");
        }
        return "";
    }
}

function createPubKey() {
  
        try {
            if ( isIE()) {
                var pubkey;
                UniContrl.keySpec = KT_SIGNATURE;
                pubkey = UniContrl.genRSAKeyPair(1024);

                if ((pubkey == "") || (pubkey == null) || (typeof (pubkey) == "undefined")) {
                    alert("生成密钥对失败");
                    return "";
                }
                else {
                    return pubkey;
                }
            }
            else {
                try {
                    var json;
                    json = '{"function":"genRSAKeyPair"' + ',"module":' + 1024 + '}';
                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("genRSAKeyPair=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("生成密钥对失败");
            }
            return "";
        }

}

function createPubKeyPoP(module) {
    try {
        if ( isIE()) {
            if (IsSM2DevSelected == 1) {
                var pubkey = SM2Contrl.genSM2KeyPair(256);
            }
            else {
                UniContrl.keySpec = KT_SIGNATURE;
                pubkey = UniContrl.genRSAKeyPair(module);
            }

            if ((pubkey == "") || (pubkey == null) || (typeof (pubkey) == "undefined")) {
                alert("生成密钥对失败");
                return "";
            }
            else {
                return pubkey;
            }
        }
        else {
            try {
                var json;
                if (IsSM2DevSelected == 1) {
                    json = '{"function":"genSM2KeyPair"' + '}';
                }
                else {
                    json = '{"function":"genRSAKeyPair"' + ',"module":' + module + '}';
                }

                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("createPubKeyPoP=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("生成密钥对失败");
        }
        return "";
    }
}

function signature(srcData) {
    
        try {
            if ( isIE()) {
                var signdata = "";
                if (IsSM2DevSelected == 0) {
                    UniContrl.keySpec = KT_SIGNATURE;
                    signdata = UniContrl.signature(srcData, DT_UNENCODING, "");
                }
                else {
                    SM2Contrl.keySpec = KT_SIGNATURE;
                    signdata = SM2Contrl.signature(srcData, DT_UNENCODING, "");
                }
                if ((signdata == "") || (signdata == null) || (typeof (signdata) == "undefined")) {
                    alert("数字签名失败.");
                    return "";
                }
                else {
                    return signdata;
                }
            }
            else {
                try {
                    var json;
                    if (IsSM2DevSelected == 1) {
                        json = '{"function":"SM2Signature"' + ',"srcData":"' + srcData + '","srcEncodeing":' + DT_UNENCODING + '}';
                    }
                    else {
                        json = '{"function":"RsaSignature"' + ',"srcData":"' + srcData + '","srcEncodeing":' + DT_UNENCODING + '}';
                    }

                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("signature=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("数字签名发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("数字签名发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("数字签名失败.");
            }
            return "";
        }

}

//原文为base64编码，签名时先对原文解base64
function signature_base64(srcData) {
    try {
        if ( isIE()) {
            var signdata = "";
            if (IsSM2DevSelected == 0) {
                UniContrl.keySpec = KT_SIGNATURE;
                signdata = UniContrl.signature(srcData, DT_BASE64, "");
            }
            else {
                SM2Contrl.keySpec = KT_SIGNATURE;
                signdata = SM2Contrl.signature(srcData, DT_BASE64, "");
            }
            if ((signdata == "") || (signdata == null) || (typeof (signdata) == "undefined")) {
                alert("数字签名失败.");
                return "";
            }
            else {
                return signdata;
            }
        }
        else {
            try {
                var json;
                if (IsSM2DevSelected == 1) {
                    json = '{"function":"SM2Signature"' + ',"srcData":"' + srcData + '","srcEncodeing":' + DT_BASE64 + '}';
                }
                else {
                    json = '{"function":"RsaSignature"' + ',"srcData":"' + srcData + '","srcEncodeing":' + DT_BASE64 + '"}';
                }

                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("signature=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("数字签名发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("数字签名发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("数字签名失败.");
        }
        return "";
    }
}

function verify(srcData, signData, pubKey) {
   
        try {
            if ( isIE()) {
                var pass;
                if (IsSM2DevSelected == 0) {
                    UniContrl.keySpec = KT_SIGNATURE;
                    pass = UniContrl.verify(srcData, DT_UNENCODING, pubKey, signData);
                }
                else {
                    SM2Contrl.keySpec = KT_SIGNATURE;
                    pass = SM2Contrl.verify(srcData, DT_UNENCODING, pubKey, signData);
                }
                if ((pass == false) || (pass == null) || (typeof (pass) == "undefined")) {
                    alert("验证签名失败.");
                    return false;
                }
                else {
                    return pass;
                }
            }
            else {
                try {
                    var json;
                    if (IsSM2DevSelected == 1) {
                        json = '{"function":"SM2Verify"' + ',"srcData":"' + srcData + '","srcEncodeing":' + DT_UNENCODING + ',"signData":"' + signData + '","pubKey":"' + pubKey + '"}';
                    }
                    else {
                        json = '{"function":"RsaVerify"' + ',"srcData":"' + srcData + '","srcEncodeing":' + DT_UNENCODING + ',"signData":"' + signData + '","pubKey":"' + pubKey + '"}';
                    }

                    AjaxIO(json);
                }
                catch (e) {
                    return false;
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("verify=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("验证签名发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("验证签名发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("验证签名失败.");
            }
            return false;
        }
  

}

//原文为base64编码，验签时先对原文解base64
function verify_D(srcData, signData, pubKey) {
    try {
        if ( isIE()) {
            var pass;
            if (IsSM2DevSelected == 0) {
                UniContrl.keySpec = KT_SIGNATURE;
                pass = UniContrl.verify(srcData, DT_BASE64, pubKey, signData);
            }
            else {
                SM2Contrl.keySpec = KT_SIGNATURE;
                pass = SM2Contrl.verify(srcData, DT_BASE64, pubKey, signData);
            }
            if ((pass == false) || (pass == null) || (typeof (pass) == "undefined")) {
                alert("验证签名失败.");
                return false;
            }
            else {
                return pass;
            }
        }
        else {
            try {
                var json;
                if (IsSM2DevSelected == 1) {
                    json = '{"function":"SM2Verify"' + ',"srcData":"' + srcData + '","srcEncodeing":' + DT_BASE64 + ',"signData":"' + signData + '","pubKey":"' + pubKey + '"}';
                }
                else {
                    json = '{"function":"RsaVerify"' + ',"srcData":"' + srcData + '","srcEncodeing":' + DT_BASE64 + ',"signData":"' + signData + '","pubKey":"' + pubKey + '"}';
                }

                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("verify=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("验证签名发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("验证签名发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("验证签名失败.");
        }
        return false;
    }
}

// 与getcert内容一样
function getCert() {
  
        try {
            if ( isIE()) {
                if (IsSM2DevSelected == 1) {
                    SM2Contrl.keySpec = KT_SIGNATURE;
                    cert = SM2Contrl.readCert();
                }
                else {
                    UniContrl.keySpec = KT_SIGNATURE;
                    cert = UniContrl.readCert();
                }

                if ((cert == "") || (cert == null) || (typeof (cert) == "undefined")) {
                    alert("获取证书失败.");
                    return "";
                }
                else {
                    return cert;
                }
            }
            else {
                try {
                    var json;
                    if (IsSM2DevSelected == 1) {
                        json = '{"function":"readSM2Cert"' + '}';
                    }
                    else {
                        json = '{"function":"readRSACert"' + '}';
                    }

                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCert=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取证书失败.");
            }
            return "";
        }
  
}
// 与getCert内容一样
function getcert() {
   
        try {
            if ( isIE()) {
                if (IsSM2DevSelected == 1) {
                    SM2Contrl.keySpec = KT_SIGNATURE;
                    cert = SM2Contrl.readCert();
                }
                else {
                    UniContrl.keySpec = KT_SIGNATURE;
                    cert = UniContrl.readCert();
                }

                if ((cert == "") || (cert == null) || (typeof (cert) == "undefined")) {
                    alert("获取证书失败.");
                    return "";
                }
                else {
                    return cert;
                }
            }
            else {
                try {
                    var json;
                    if (IsSM2DevSelected == 1) {
                        json = '{"function":"readSM2Cert"' + '}';
                    }
                    else {
                        json = '{"function":"readRSACert"' + '}';
                    }

                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getCert=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return ret.resultMSG;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取证书发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取证书失败.");
            }
            return "";
        }
  
}

/**************************
功能：获取MAC地址
	
说明: 	
*****************/
function getMacAddress() {
 
        try {
            if ( isIE()) {
                ret = UniContrl.Uni_GetMacAddress();
                return (ret.replaceAll("-", ""));
            }
            else {
                try {
                    var json;

                    json = '{"function":"getMacAddress"' + '}';

                    AjaxIO(json);
                }
                catch (e) {
                    return "";
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("getMacAddress=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("获取mac地址失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    return (ret.resultMSG.replaceAll("-", ""));
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("获取mac地址失败!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("获取mac地址失败.");
            }

            return "";
        }
 
}

function downloadSingle(packdata, transactionId) {
  
        try {
            if ( isIE()) {
                if (IsSM2DevSelected == 1) {
                    SM2Contrl.keySpec = KT_SIGNATURE;
                    SM2Contrl.saveCertWithMatchPriKey(packdata);
                }
                else {
                    UniContrl.keySpec = KT_SIGNATURE;
                    UniContrl.saveCertWithMatchPriKey(packdata);
                }
                return true;
            }
            else {
                try {
                    var json;
                    if (IsSM2DevSelected == 1) {
                        json = '{"function":"saveSM2CertWithMatchPriKey"' + ',"packdata":"' + packdata + '","keySpec":' + 1 + '}';
                    }
                    else {
                        json = '{"function":"saveRSACertWithMatchPriKey"' + ',"packdata":"' + packdata + '","keySpec":' + 0 + '}';
                    }

                    AjaxIO(json);
                }
                catch (e) {
                    return false;
                }

                var ret = GetHttpResult();
                if (ret) {
                    //console.log("downloadSingle=" + ret.resultMSG);
                    if (ret.errcode != 0) {
                        alert("单证书下载发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                    }
                    if (ret.resultMSG == 0)
                        return true;
                    else
                        return false;
                }
            }
        }
        catch (e) {
            if (e.description != "") {
                alert("单证书下载发生错误!" + "\r\n" + "错误描述：" + e.description);
            }
            else {
                alert("单证书下载失败.");
            }
            return false;
        }
  
}

//双证书下载
/*********************************
输入：packdata:服务器端发来的证书及加密私钥数据
transactionId:交易号
***********************************/
function downloadDouble(packdata, transactionId) {
    try {
        var signCert, encCert;
        var encPriKey;
        var start, end;
        var pack;
        var isSoftLib;

        // 分解包，分解为三部分
        pack = packdata;
        start = 0;
        end = pack.indexOf("    ", start);
        if (end <= 0)
            return false;
        signCert = pack.substring(start, end);
        start = end + 4;
        end = pack.indexOf("    ", start);
        if (end <= 0) {
            alert("双证书下载失败.");
            return false;
        }
        encCert = pack.substring(start, end);
        start = end + 4;
        encPriKey = pack.substring(start, pack.length);

        if ( isIE()) {
            if (IsSM2DevSelected == 1) {
                SM2Contrl.keySpec = KT_SIGNATURE;
                SM2Contrl.saveCertWithMatchPriKey(signCert);
            }
            else {
                UniContrl.keySpec = KT_SIGNATURE;
                UniContrl.saveCertWithMatchPriKey(signCert);
            }

            if (IsSM2DevSelected == 0) {
                UniContrl.selectSignCert(signCert);
                UniContrl.keySpec = KT_EXCHANGE;
                UniContrl.saveKeyPairEX(UniContrl.getCertPubKey(encCert), encPriKey, KET_ENCBYSIGNKEY);
                UniContrl.saveCertWithMatchPriKey(encCert);
            }
            else {
                SM2Contrl.selectSignCert(signCert);
                SM2Contrl.keySpec = KT_EXCHANGE;
                SM2Contrl.saveKeyPair(UniContrl.getCertPubKey(encCert), encPriKey, KET_ENCBYSIGNKEY);
                SM2Contrl.saveCertWithMatchPriKey(encCert);
            }

            return true;
        }
        else {
            try {
                var json;

                json = '{"function":"downloadDouble"' + ',"signCert":"' + signCert + '","encCert":"' + encCert + '","encPriKey":"' + encPriKey + '","IsSM2DevSelected":' + IsSM2DevSelected + '}';

                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("downloadDouble=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("双证书下载发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0) {
                    return true;
                }
                else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("双证书下载发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("双证书下载失败.");
        }
        return false;
    }
}


//双证书下载
/*********************************
输入：packdata:服务器端发来的证书及加密私钥数据
transactionId:交易号
***********************************/
function downloadDoubleNew(signCert,encCert,encPriKey, transactionId ) {
	 try {
        if ( isIE()) {
            if (IsSM2DevSelected == 1) {
                SM2Contrl.keySpec = KT_SIGNATURE;
                SM2Contrl.saveCertWithMatchPriKey(signCert);
            }
            else {
                UniContrl.keySpec = KT_SIGNATURE;
                UniContrl.saveCertWithMatchPriKey(signCert);
            }

            if (IsSM2DevSelected == 0) {
                UniContrl.selectSignCert(signCert);
                UniContrl.keySpec = KT_EXCHANGE;
                UniContrl.saveKeyPairEX(UniContrl.getCertPubKey(encCert), encPriKey, KET_ENCBYSIGNKEY);
                UniContrl.saveCertWithMatchPriKey(encCert);
            }
            else {
                SM2Contrl.selectSignCert(signCert);
                SM2Contrl.keySpec = KT_EXCHANGE;
                SM2Contrl.saveKeyPair(UniContrl.getCertPubKey(encCert), encPriKey, KET_ENCBYSIGNKEY);
                SM2Contrl.saveCertWithMatchPriKey(encCert);
            }

            return true;
        }
        else {
            try {
                var json;

                json = '{"function":"downloadDouble"' + ',"signCert":"' + signCert + '","encCert":"' + encCert + '","encPriKey":"' + encPriKey + '","IsSM2DevSelected":' + IsSM2DevSelected + '}';

                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("downloadDouble=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("双证书下载发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0) {
                    return true;
                }
                else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("双证书下载发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("双证书下载失败.");
        }
        return false;
    }
}


//多证书：生成公私钥对
function genRSAKeyPairForMultiCert(CertUnicode, modulus) {
    try {
        if ( isIE()) {
            var ret;
            UniContrl.providerName_EX = M_PROVNAME;
            ret = UniContrl.genRSAKeyPairForMultiCert(CertUnicode, modulus);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"genRSAKeyPairForMultiCert", "CertUnicode":"' + CertUnicode + '", "modulus":' + modulus + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("genRSAKeyPairForMultiCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("生成公私钥对失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("生成公私钥对失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("生成公私钥对失败!");
        }
        return "";
    }
}

//多证书：安装证书
function saveCertWithMathPrikeyForMultiCert(CertUnicode, cert) {
    try {
        if ( isIE()) {
            UniContrl.saveCertWithMathPrikeyForMultiCert(CertUnicode, cert);
            return true;
        }
        else {
            try {
                var json;
                var json = '{"function":"saveCertWithMathPrikeyForMultiCert", "CertUnicode":"' + CertUnicode + '", "cert":"' + cert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("saveCertWithMathPrikeyForMultiCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("安装证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0) {
                    return true;
                }
                else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("安装证书失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("安装证书失败!");
        }
        return false;
    }
}

//多证书：安装证书,包含设置秘钥保护口令
function saveCertWithMathPrikeyForMultiCert_pin(CertUnicode, cert) {
    try {
        if ( isIE()) {
            UniContrl.saveCertWithMathPrikeyForMultiCert_PIN(CertUnicode, cert);
            return true;
        }
        else {
            try {
                var json;
                var json = '{"function":"saveCertWithMathPrikeyForMultiCert_PIN", "CertUnicode":"' + CertUnicode + '", "cert":"' + cert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("saveCertWithMathPrikeyForMultiCert_PIN=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("安装证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }

                if (ret.resultMSG == 0) {
                    return true;
                }
                else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("安装证书失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("安装证书失败!");
        }
        return false;
    }
}

//多证书：获取IE存储区中符合要求的证书个数
function EnumCertNumInIE(SelectInfoData, nSelectIndex) {
    try {
        if ( isIE()) {
            var ret;
            ret = UniContrl.EnumCertNumInIE(SelectInfoData, nSelectIndex);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"EnumCertNumInIE", "SelectInfoData":"' + SelectInfoData + '", "nSelectIndex":' + nSelectIndex + '}';
                AjaxIO(json);
            }
            catch (e) {
                return 0;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("EnumCertNumInIE=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取证书个数失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取证书个数失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取证书个数失败!");
        }
        return 0;
    }
}

//多证书：获取IE存储区中某一证书的证书信息
function GetSpecificCertInfoInIE(SelectInfoData, nSelectIndex, nCertNum, nCertInfoIndex) {
    try {
        if ( isIE()) {
            var ret = UniContrl.GetSpecificCertInfoInIE(SelectInfoData, nSelectIndex, nCertNum, nCertInfoIndex);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"GetSpecificCertInfoInIE", "SelectInfoData":"' + SelectInfoData + '", "nSelectIndex":' + nSelectIndex + ',"nCertNum":' + nCertNum + ',"nCertInfoIndex":' + nCertInfoIndex + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                if (ret.errcode != 0) {
                    alert("获取证书项失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                //console.log("GetSpecificCertInfoInIE=" + ret.resultMSG);
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取证书项失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取证书项失败!");
        }
        return "";
    }
}

//多证书：使用IE存储区中某一证书的私钥进行签名
function SignWithSpecificCertInIE(SelectInfoData, nSelectIndex, nCertNum, Indata) {
    try {
        if ( isIE()) {
            var ret = UniContrl.SignWithSpecificCertInIE(SelectInfoData, nSelectIndex, nCertNum, Indata);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"SignWithSpecificCertInIE", "SelectInfoData":"' + SelectInfoData + '", "nSelectIndex":' + nSelectIndex + ',"nCertNum":' + nCertNum + ',"Indata":"' + Indata + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("SignWithSpecificCertInIE=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("签名失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("签名失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("签名失败!");
        }
        return "";
    }
}
//多证书：使用IE存储区中某一证书的私钥进行签名--base64decode
function SignWithSpecificCertInIE_D(SelectInfoData, nSelectIndex, nCertNum, Indata) {
    try {
        if ( isIE()) {
            var ret = UniContrl.SignWithSpecificCertInIE_D(SelectInfoData, nSelectIndex, nCertNum, Indata);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"SignWithSpecificCertInIE_D", "SelectInfoData":"' + SelectInfoData + '", "nSelectIndex":' + nSelectIndex + ',"nCertNum":' + nCertNum + ',"Indata":"' + Indata + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("SignWithSpecificCertInIE_D=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("签名失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("签名失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("签名失败!");
        }
        return "";
    }
}

//多证书：使用IE存储区中某一证书的私钥进行解密
function DecryptWithSpecificCertInIE(SelectInfoData, nSelectIndex, nCertNum, Indata) {
    try {
        if ( isIE()) {
            var ret;
            var res;
            res = UniContrl.DecryptWithSpecificCertInIE(SelectInfoData, nSelectIndex, nCertNum, Indata);
            ret = decodeURI(res);
            return ret;
        }
        else {
            var res;
            try {
                var json;
                var json = '{"function":"DecryptWithSpecificCertInIE", "SelectInfoData":"' + SelectInfoData + '", "nSelectIndex":' + nSelectIndex + ',"nCertNum":' + nCertNum + ',"Indata":"' + Indata + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("DecryptWithSpecificCertInIE=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("解密失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                res = decodeURI(ret.resultMSG);
                return res;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("解密失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("解密失败!");
        }
        return "";
    }
}

//多证书：删除IE存储区中某一证书
function DeleteSpecificCertInIE(SelectInfoData, nSelectIndex, nCertNum) {
    try {
        if ( isIE()) {
            UniContrl.DeleteSpecificCertInIE(SelectInfoData, nSelectIndex, nCertNum);
            return true;
        }
        else {
            try {
                var json;
                var json = '{"function":"DeleteSpecificCertInIE", "SelectInfoData":"' + SelectInfoData + '", "nSelectIndex":' + nSelectIndex + ',"nCertNum":' + nCertNum + '}';
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("DeleteSpecificCertInIE=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("删除证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0) {
                    return true;
                }
                else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("删除证书失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("删除证书失败!");
        }
        return false;
    }
}

//多证书：备份IE存储区中某一证书，返回备份到的证书路径
function RestoreSpecificCertInIE(SelectInfoData, nSelectIndex, nCertNum) {
    try {
        if ( isIE()) {
            var ret = UniContrl.RestoreSpecificCertInIE(SelectInfoData, nSelectIndex, nCertNum);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"RestoreSpecificCertInIE", "SelectInfoData":"' + SelectInfoData + '", "nSelectIndex":' + nSelectIndex + ',"nCertNum":' + nCertNum + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("RestoreSpecificCertInIE=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("备份证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;

            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("备份证书失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("备份证书失败!");
        }
        return "";
    }
}

//多证书：将已备份的证书恢复
function RecoverCertToIE(CertPath) {
    try {
        if ( isIE()) {
            UniContrl.RecoverCertToIE(CertPath);
            return true;
        }
        else {
            try {
                var json;
                var json = '{"function":"RecoverCertToIE", "CertPath":"' + CertPath + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("RecoverCertToIE=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("证书恢复失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (0 == ret.resultMSG) {
                    return true;
                }
                else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("证书恢复失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("证书恢复失败!");
        }
        return false;
    }
}

function encryptWithCert(srcData, cert) {
    try {
        if ( isIE()) {
            var src = encodeURI(srcData);

            encData = UniContrl.rsaEncrypt(src, DT_UNENCODING, UniContrl.GetCertPubKey(cert));
            if ((encData == "") || (encData == null) || (typeof (encData) == "undefined")) {
                alert("证书RSA加密失败.");
                return "";
            }
            return encData;
        }
        else {
            try {
                var json;
                var json = '{"function":"rsaEncrypt", "srcData":"' + srcData + '","cert":"' + cert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("rsaEncrypt=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("证书RSA加密发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("证书RSA加密发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("证书RSA加密失败.");
        }
        return "";
    }
}

//备份证书
function RestoreP12Cert(csRestorePath) {
    try {
        if ( isIE()) {
            var RetVal = UniContrl.RestoreP12Cert(csRestorePath);
        }
        else {
            try {
                var json;
                var json = '{"function":"RestoreP12Cert", "csRestorePath":"' + csRestorePath + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("RestoreP12Cert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("备份证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("备份证书失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("备份证书失败!");
        }
        return -1;
    }
}

//恢复证书
function RecoverP12Cert(csRestorePath) {
    try {
        if ( isIE()) {
            var RetVal = UniContrl.RecoverP12Cert(csRestorePath);
        }
        else {
            try {
                var json;
                var json = '{"function":"RecoverP12Cert", "csRestorePath":"' + csRestorePath + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("RecoverP12Cert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("恢复证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("恢复证书失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("恢复证书失败!");
        }
        return -1;
    }
}

//判断设备证书是否过期
function isDeviceCertTimeValid(MacAddress) {
    try {
        if ( isIE()) {
            var DeviceCertData;
            var isCertValid;
            UniContrl.providerName_EX = M_PROVNAME;
            DeviceCertData = UniContrl.readMacCert(MacAddress);
            isCertValid = UniContrl.isCertTimeValid(DeviceCertData);
        }
        else {
            try {
                var json;
                var json = '{"function":"isDeviceCertTimeValid", "MacAddress":"' + MacAddress + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("isDeviceCertTimeValid=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("判断设备证书是否过期失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("判断设备证书是否过期失败！" + "\r\n" + "错误描述：" + e.description);
        }
        alert("判断设备证书是否过期失败！");
        return -1;
    }
}

//功能：产生设备密钥对，输出相应的公钥
function createDevicePubKey(MacAddress, module) {
    try {
        if ( isIE()) {
            var pubkey;
            UniContrl.providerName_EX = M_PROVNAME;
            pubkey = UniContrl.genRSAKeyPairForMultiCert_EX(MacAddress, module, 2);   // 1024  或 2048
        }
        else {
            try {
                var json;
                var json = '{"function":"genRSAKeyPairForMultiCert_EX", "MacAddress":"' + MacAddress + '","module":' + module + ',"encType":' + 2 + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("genRSAKeyPairForMultiCert_EX=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("生成密钥对失败");
        }
        return "";
    }
}

//设备证书下载
/************************
输入：packdata：服务器端发来的证书数据
MacAddress :设备mac地址
************************/
function downloadDeviceCert(MacAddress, packdata) {
    try {
        if ( isIE()) {
            UniContrl.providerName_EX = M_PROVNAME;
            UniContrl.saveCertWithMathPrikeyForMultiCert_EX(MacAddress, packdata, 2);
            return true;
        }
        else {
            try {
                var json;
                var json = '{"function":"saveCertWithMathPrikeyForMultiCert_EX", "MacAddress":"' + MacAddress + '","packdata":"' + packdata + '","encType":' + 2 + '}';
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("saveCertWithMathPrikeyForMultiCert_EX=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("设备证书下载发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }

                if (ret.resultMSG == 0) {
                    return true;
                }
                else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("设备证书下载发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("设备证书下载失败.");
        }
        return false;
    }
}

function deviceSignature(MacAddress, srcData) {
    try {
        if ( isIE()) {
            var signdata = "";
            UniContrl.providerName_EX = M_PROVNAME;
            UniContrl.keySpec = KT_SIGNATURE;
            signdata = UniContrl.deviceSignature(MacAddress, srcData);
        }
        else {
            try {
                var json;
                var json = '{"function":"deviceSignature", "MacAddress":"' + MacAddress + '","srcData":"' + srcData + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("deviceSignature=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("数字签名发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("数字签名发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("数字签名失败.");
        }
        return "";
    }
}

function readDeviceCert(MacAddress) {
    try {
        if ( isIE()) {
            var cert;
            UniContrl.providerName_EX = M_PROVNAME;
            UniContrl.keySpec = 0;
            cert = UniContrl.readMacCert(MacAddress);
			return cert;
        }
        else {
            try {
                var json;
                var json = '{"function":"readMacCert", "MacAddress":"' + MacAddress + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("readMacCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取设备证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("获取设备证书发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取设备证书失败.");
        }
        return "";
    }
}

function readDeviceCertSN(MacAddress) {
    try {
        if ( isIE()) {
            var cert;
            var certSN;
            UniContrl.providerName_EX = M_PROVNAME;
            UniContrl.keySpec = KT_SIGNATURE;
            cert = UniContrl.readMacCert(MacAddress);
            certSN = UniContrl.getCertSN(cert);
			return certSN;
        }
        else {
            try {
                var json;
                var json = '{"function":"readDeviceCertSN", "MacAddress":"' + MacAddress + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("readDeviceCertSN=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取设备证书序列号发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            var L111 = e.number;
            var L222 = OLE_E_FIRST | L111;
            var L333 = OLE_E_FIRST ^ L222;
            if (ERR_CANCEL == L333) {
                return "";
            }

            alert("获取设备证书序列号发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取设备证书序列号失败.");
        }
        return "";
    }
}

//判断操作员证书是否过期
function isUsrCertInvalid(UsrID) {
    try {
        if ( isIE()) {
            UniContrl.providerName_EX = M_PROVNAME;
            var DeviceCertData = UniContrl.readCertForMultiCert(UsrID);
            var isCertValid = UniContrl.isCertTimeValid(DeviceCertData);
            return isCertValid;
        }
        else {
            try {
                var json;
                var json = '{"function":"isUsrCertInvalid", "UsrID":"' + UsrID + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("isUsrCertInvalid=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("判断操作员证书是否过期失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("判断操作员证书是否过期失败！" + "\r\n" + "错误描述：" + e.description);
        }
        alert("判断操作员证书是否过期失败！");
    }
}

//功能：产生操作员密钥对，输出相应的公钥
function createUsrPubKey(UsrID, module) {
    try {
        if ( isIE()) {
            UniContrl.providerName_EX = M_PROVNAME;
            pubkey = UniContrl.genRSAKeyPairForMultiCert_EX(UsrID, module, 0);   // 1024  或 2048
        }
        else {
            try {
                var json;
                var json = '{"function":"genRSAKeyPairForMultiCert_EX", "MacAddress":"' + UsrID + '","module":' + module + ',"encType":' + 0 + '}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("genRSAKeyPairForMultiCert_EX=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            //alert("错误码:" + dec2hex(e.number));
            alert("生成密钥对失败");
        }
        return "";
    }
}

//操作员证书下载
/************************
输入：packdata：服务器端发来的证书数据
UsrID：操作员的员工号
************************/
function downloadUsrCert(UsrID, packdata) {
    try {
        if ( isIE()) {
            UniContrl.providerName_EX = M_PROVNAME;
            UniContrl.saveCertWithMathPrikeyForMultiCert_EX(UsrID, packdata, 0);
            return true;
        }
        else {
            try {
                var json;
                var json = '{"function":"saveCertWithMathPrikeyForMultiCert_EX", "MacAddress":"' + UsrID + '","packdata":"' + packdata + '","encType":' + 0 + '}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("saveCertWithMathPrikeyForMultiCert_EX=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("设备证书下载发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0) {
                    return true;
                }
                else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("设备证书下载发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("设备证书下载失败.");
        }
        return false;
    }
}

function usrSignature(UsrID, srcData) {
    try {
        if ( isIE()) {
            var signdata = "";
            UniContrl.providerName_EX = M_PROVNAME;
            UniContrl.keySpec = KT_SIGNATURE;
            signdata = UniContrl.usrSignature(UsrID, srcData);
        }
        else {
            try {
                var json;
                var json = '{"function":"usrSignature", "UsrID":"' + UsrID + '","srcData":"' + srcData + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("usrSignature=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("数字签名发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("数字签名发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("数字签名失败.");
        }
        return "";
    }
}

function readUsrCert(UsrID) {
    try {
        if ( isIE()) {
            var cert;
            UniContrl.providerName_EX = M_PROVNAME;
            UniContrl.keySpec = 0;
            cert = UniContrl.readCertForMultiCert(UsrID);

            if ((cert == "") || (cert == null) || (typeof (cert) == "undefined")) {
                alert("获取操作员证书失败.");
                return "";
            }
            else {
                return cert;
            }
        }
        else {
            try {
                var json;
                var json = '{"function":"readCertForMultiCert", "UsrID":"' + UsrID + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("readCertForMultiCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取操作员证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {

            alert("获取操作员证书发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取操作员证书失败.");
        }
        return "";
    }
}

function readUsrCertSN(UsrID) {
    try {
        if ( isIE()) {
            var cert;
            var certSN;
            UniContrl.providerName_EX = M_PROVNAME;
            UniContrl.keySpec = KT_SIGNATURE;
            cert = UniContrl.readCertForMultiCert(UsrID);
            certSN = UniContrl.getCertSN(cert);

            if ((certSN == "") || (certSN == null) || (typeof (certSN) == "undefined")) {
                alert("获取操作员证书序列号失败.");
                return "";
            }
            else {
                return certSN;
            }
        }
        else {
            try {
                var json;
                var json = '{"function":"readUsrCertSN", "UsrID":"' + UsrID + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("readUsrCertSN=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取操作员证书序列号发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("获取操作员证书序列号发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取操作员证书序列号失败.");
        }
        return "";
    }
}

//操作员证书备份
function usrCertRestore(UsrID) {
    try {
        var RetVal = -1;

        if (UsrID == "") {
            return RetVal;
        }

        if ( isIE()) {
            var P12path
            P12path = UniContrl.GetCertPathWithUnicode(UsrID);
            RetVal = UniContrl.RestoreP12CertCheckPin(P12path);
            return RetVal;
        }
        else {
            try {
                var json;
                var json = '{"function":"usrCertRestore", "UsrID":"' + UsrID + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("usrCertRestore=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("备份证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("备份证书失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("备份证书失败!");
        }
        return -1;
    }
}

//恢复操作员证书
function usrCertRecover(UsrID) {
    try {
        var RetVal = -1;
        var P12path;

        if (UsrID == "") {
            return RetVal;
        }

        if ( isIE()) {
            P12path = UniContrl.GetCertRestorePathWithUnicode(UsrID);
            RetVal = UniContrl.RecoverP12CertForMultiCert(UsrID, P12path);
            return RetVal;
        }
        else {
            try {
                var json;
                var json = '{"function":"usrCertRecover", "UsrID":"' + UsrID + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("usrCertRecover=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("恢复证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("恢复证书失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("恢复证书失败!");
        }
        return -1;
    }
}

//设备证书备份
function deviceCertRestore(MacAddress) {
    try {
        var RetVal = -1;
        var P12path;

        if (MacAddress == "") {
            return RetVal;
        }

        if ( isIE()) {
            P12path = UniContrl.GetCertPathWithUnicode(MacAddress);
            RetVal = UniContrl.RestoreP12Cert(P12path);
            return RetVal;
        }
        else {
            try {
                var json;
                var json = '{"function":"deviceCertRestore", "MacAddress":"' + MacAddress + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("deviceCertRestore=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("备份证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("备份证书失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("备份证书失败!");
        }

        return -1;
    }
}

//恢复设备证书
function deviceCertRecover(MacAddress) {
    try {
        var RetVal = -1;
        var P12path;

        if (MacAddress == "") {
            return RetVal;
            return RetVal;
        }

        if ( isIE()) {
            P12path = UniContrl.GetCertRestorePathWithUnicode(MacAddress);
            RetVal = UniContrl.RecoverP12CertForMultiCert(MacAddress, P12path);
            return RetVal;
        }
        else {
            try {
                var json;
                var json = '{"function":"usrCertRecover", "UsrID":"' + MacAddress + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("usrCertRecover=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("恢复证书失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("恢复证书失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("恢复证书失败!");
        }
        return -1;
    }
}

function isCCITSoftLib() {
    if (OS == "Win32") {
        var res = plugin().needPartner();
        if (res == 0)
            return false;
        else
            return true;
    }
    else {
        if (UniContrl.needPartner == 0)
            return false;
        else
            return true;
    }
}

function ISComNew() {
    var version = GetControlVersion();
    if (version == "2.3.9.3")
        return -1;
    else
        return 0;
}


String.prototype.replaceAll = function (s1, s2) {
    return this.replace(new RegExp(s1, "gm"), s2);
}

//下载证书换发
/*********************************
输入：packdata:服务器端发来的证书及加密私钥数据
			//transactionId:交易号
***********************************/
function downloadRenewalCert(packdata, transactionId) {
    try {
        var ret = 0;
        var signCert, encCert;
        var encPriKey;
        var start, end;
        var pack;
        var isSoftLib;

        if ( isIE()) {
            // 分解包,分解为两部分：签名证书 + "    " + 加密证书
            pack = packdata;
            start = 0;
            end = pack.indexOf("    ", start);
            if (end <= 0)   // 单证书
            {
                signCert = pack;
                //签名证书
                UniContrl.keySpec = KT_SIGNATURE;
                UniContrl.saveCertWithMatchPriKey(signCert);
                return true;
            }
            else   // 双证书
            {
                //签名证书
                signCert = pack.substring(start, end);
                UniContrl.keySpec = KT_SIGNATURE;
                UniContrl.saveCertWithMatchPriKey(signCert);  //安装签名证书
                //去掉字符串分隔符“    ”
                start = end + 4;
                encCert = pack.substring(start, pack.length);
                UniContrl.keySpec = KT_SIGNATURE;
                ret = UniContrl.selectSignCert(signCert);   // 查找相匹配的签名证书,目的是为了 设置 容器索引
                if (ret) {
                    return false;
                    return;
                }
                //加密证书
                UniContrl.keySpec = KT_EXCHANGE;
                UniContrl.saveCertWithMatchPriKey(encCert); //安装加密证书	
                return true;
            }
        }
        else {
            // 分解包,分解为两部分：签名证书 + "    " + 加密证书
            pack = packdata;
            start = 0;
            end = pack.indexOf("    ", start);
            if (end <= 0)   // 单证书
            {
                //签名证书
                signCert = pack;
                encCert = "";
            } else {
                //签名证书
                signCert = pack.substring(start, end);
                //去掉字符串分隔符“    ”
                start = end + 4;
                encCert = pack.substring(start, pack.length);
            }
            // 调用接口
            try {
                var json;
                var json = '{"function":"downloadRenewalCert", "signCert":"' + signCert + '", "encCert":"' + encCert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("downloadRenewalCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("证书换发发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0)
                    return true;
                else
                    return false;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("证书换发发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("证书换发失败.");
        }
        return false;
    }

}


/***********************
[in]provName CSP名称
		certData 管理员证书内容 --base64编码，本接口根据certData内容选择相应设备进行操作。
		UserType 0 用户  1 管理员
[retval]1--成功  其它失败
[comments]根据管理员证书内容区分管理员key和用户key,当UserType传入0时初将用户设备置为当前设备，
当UserType为1时置管理员设备为当前设备。调用本接口前不需要调用initProv接口
***************************************/
function initProvEx(provName, certData, UserType) {
    var RetVal = 0;
    try {
        if ( isIE()) {
            UniContrl.providerNameEx = provName;
            RetVal = UniContrl.SetCurrentDevice(certData, UserType);
            return RetVal;
        }
        else {
            try {
                var json;
                var json = '{"function":"initProvEx", "provName":"' + provName + '", "certData":"' + certData + '","UserType":' + UserType + '}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("initProvEx=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("初始化发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        var L111 = e.number;
        var L222 = OLE_E_FIRST | L111;
        var ErrRet = OLE_E_FIRST ^ L222;
        return ErrRet;
    }
}

/***********************
[in]provName CSP名称
		certData 管理员证书内容 --base64编码，本接口根据certData内容选择相应设备进行操作。
		UserType 0 用户  1 管理员
[retval]1--成功  其它失败
[comments]根据管理员证书内容区分管理员key和用户key,当UserType传入0时初将用户设备置为当前设备，
当UserType为1时置管理员设备为当前设备。调用本接口前不需要调用initProv接口
***************************************/
function initProvExCheckKeyIsInvalid(provName, certData, UserType) {
    var RetVal = 0;
    try {
        if ( isIE()) {
            UniContrl.providerNameEx = provName;
            RetVal = UniContrl.SetCurrentDeviceEx(certData, UserType);
            return RetVal;
        }
        else {
            try {
                var json;
                var json = '{"function":"initProvExCheckKeyIsInvalid", "provName":"' + provName + '", "certData":"' + certData + '","UserType":' + UserType + '}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("initProvExCheckKeyIsInvalid=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("初始化设备发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        var L111 = e.number;
        var L222 = OLE_E_FIRST | L111;
        var ErrRet = OLE_E_FIRST ^ L222;
        return ErrRet;
    }
}

/*
功能:利用管理员证书判断当前设备是否管理员设备
[in]signCert 管理证书
[return]RetVal 1当前设备是管理员设备
								0 当前设备不是管理员设备
*/
function IsManagerDevice(signCert) {
    var RetVal = 0;
    try {
        if ( isIE()) {
            RetVal = UniContrl.IsManagerDevice(signCert);
            return RetVal;
        }
        else {
            try {
                var json;
                var json = '{"function":"IsManagerDevice", "signCert":"' + signCert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("IsManagerDevice=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("判断是否管理员设备发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("判断是否管理员设备发生错误！\r\n错误码:" + dec2hex(e.number) + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("错误码:" + dec2hex(e.number));
        }
        return 0;
    }
}

//密钥恢复接口
function restoreKey(packdata, transactionId) {
    try {
        var encCert;
        var encPriKey;
        var start, end;
        var pack;
        var isSoftLib;

        // 分解包，分解为三部分
        pack = packdata;
        start = 0;
        end = pack.indexOf("    ", start);
        if (end <= 0) {
            alert("密钥恢复失败.");
            return false;
        }
        encCert = pack.substring(start, end);
        start = end + 4;
        encPriKey = pack.substring(start, pack.length);

        if ( isIE()) {
            var ret;
            if (IsSM2DevSelected == 1) {
                SM2Contrl.keySpec = KT_EXCHANGE;
                ret = SM2Contrl.saveCertAndPrivateKeyWithTmpSM2Key(0, encCert, encPriKey, "CMCATempCont1");
            }
            else {
                UniContrl.keySpec = KT_EXCHANGE;
                ret = UniContrl.saveCertAndPrivateKeyWithTempKeyEx(0, encCert, encPriKey, "CMCATempCont1");
                DelTempRsaKeyPair();
            }

            return true;
        }
        else {
            try {
                var json;
                if (IsSM2DevSelected == 1) {
                    var json = '{"function":"saveCertAndPrivateKeyWithTmpSM2Key", "encCert":"' + encCert + '","encPriKey":' + encPriKey + '"}';
                }
                else {
                    var json = '{"function":"saveCertAndPrivateKeyWithTmpRSAKey", "encCert":"' + encCert + '","encPriKey":' + encPriKey + '"}';
                }
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("restoreKey=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("密钥恢复发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }

        }
    }
    catch (e) {
        if (e.description != "") {
            alert("密钥恢复发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("密钥恢复失败.");
        }
        return false;
    }
}

//管理员证书下载
/************************
输入：packdata：服务器端发来的证书数据
************************/
function downloadManagerCert(packdata) {
    try {
        if ( isIE()) {
            if (IsSM2DevSelected == 1) {
                SM2Contrl.keySpec = KT_SIGNATURE;
                SM2Contrl.saveCertWithMatchPriKey(packdata);
            }
            else {
                UniContrl.keySpec = KT_SIGNATURE;
                UniContrl.saveCertWithMatchPriKey(packdata);
            }
            return true;
        }
        else {
            try {
                var json;
                if (IsSM2DevSelected == 1) {
                    json = '{"function":"saveSM2CertWithMatchPriKey"' + ',"packdata":"' + packdata + '","keySpec":' + 1 + '}';
                }
                else {
                    json = '{"function":"saveRSACertWithMatchPriKey"' + ',"packdata":"' + packdata + '","keySpec":' + 0 + '}';
                }

                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("downloadManagerCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("管理员证书下载发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0) {
                    return false;
                } else {
                    return true;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("管理员证书下载发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("管理员证书下载失败.");
        }
        return false;
    }
}

function onTransactionId(transactionId) {
    if (OS == "Win32") {
        try {
            if (isCCITSoftLib())
                plugin().OnApplyCert(transactionId);
        } catch (e) {
            return false;
        }
        return true;
    }
    else {
        try {
            if (isCCITSoftLib())
                UniContrl.OnApplyCert(transactionId);

        } catch (e) {
            return false;
        }
        return true;
    }
}

function getUserName() {
    try {
        if ( isIE()) {
            var userName;
            userName = UniContrl.GetUserName();
            return userName;
        }
        else {
            try {
                var json;
                var json = '{"function":"getUserName"' + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("getUserName=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取证书主题发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取证书主题发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取证书主题发生错误.");
        }
        return "";
    }
}

function getSignCert() {
    try {
        if ( isIE()) {
            var signCert = UniContrl.getSignCert();
            return signCert;
        }
        else {
            try {
                var json;
                var json = '{"function":"getSignCert"' + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("getSignCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取签名证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取签名证书发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取签名证书失败.");
        }
        return "";
    }
}

function getAuditopMsg(id, type) {

    var signdata = null;
    var opMsg = null;

    if (type == 0) {
        opMsg = "ApplyID=" + id;
    }
    if (type == 1) {
        opMsg = "ApplyID=0";
    }
    if (type == 2) {
        opMsg = "CertNum=" + id;
    }
    return opMsg;

}

function setoperatorflag(operatorCert) {
    try {
        if ( isIE()) {
            var ret = UniContrl.setOperatorFlag(operatorCert);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"setoperatorflag",' + '"operatorCert":"' + operatorCert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("setoperatorflag=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("检验证书失败.");
        }
        return "";
    }
}

function setoperatorswitch(switchflag) {
    try {
        if ( isIE()) {
            var ret = UniContrl.setOperatorSwitch(switchflag);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"setoperatorswitch",' + '"switchflag":' + switchflag + '}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("setoperatorswitch=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert(e.description);
        }
        else {
            alert("Error");
        }
        return "";
    }
}

function signatureWithAlg(srcData, tpe) {
    try {
        if ( isIE()) {
            var signdata = "";
            UniContrl.keySpec = KT_SIGNATURE;
            signdata = UniContrl.signatureWithAlg(srcData, DT_UNENCODING, "", tpe);
            return signdata;
        }
        else {
            try {
                var json;
                var json = '{"function":"signatureWithAlg",' + '"srcData":"' + srcData + '","tpe":"' + tpe + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("signatureWithAlg=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取证书公钥发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("多算法数字签名发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("多算法数字签名失败.");
        }
        return "";
    }
}

/*
[in]modulus:目前为1024  
	  randStr：随机数
[return]:成功返回公钥
          失败返回空串
*/
function GenTempRsaKeyPair() {
    try {
        if ( isIE()) {
            var pubkey;
            UniContrl.keySpec = KT_SIGNATURE;
            pubkey = UniContrl.genTempRSAKeyPair(1024, "CMCATempCont1");
        }
        else {
            try {
                var json;
                var json = '{"function":"GenTempRsaKeyPair",' + '"modulus":' + 1024 + ',"type":"' + 0 + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("GenTempRsaKeyPair=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取证书公钥发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("生成公钥和POP项发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("生成公钥和POP项失败.");
        }
        return "";
    }
}

//功能：产生指定类型(签名或加密)和模式的临时RSA密钥对，输出相应的临时公钥
function GenTempRsaKeyPairWithKeySpec(KeySpec, modulus) {
    try {
        if ( isIE()) {
            var pubkey;
            UniContrl.keySpec = KT_SIGNATURE;
            pubkey = UniContrl.genTempRSAKeyPair(modulus, "CMCATempCont1");
            return pubkey;
        }
        else {
            try {
                var json;
                var json = '{"function":"GenTempRsaKeyPair",' + '"modulus":' + modulus + ',"type":"' + KeySpec + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("GenTempRsaKeyPair=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("生成公钥发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("生成公钥发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("生成公钥失败.");
        }
        return "";
    }
}

//删除临时密钥对
/*
[return] 0 --成功 其它失败
*/
function DelTempRsaKeyPair() {
    try {
        if ( isIE()) {
            var RetVal = -1;
            RetVal = UniContrl.deleteTempRSAKeyPair("CMCATempCont1");
            return RetVal;
        }
        else {
            try {
                var json;
                var json = '{"function":"DelTempRsaKeyPair"' + '}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("DelTempRsaKeyPair=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("删除临时密钥对发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("删除临时密钥对发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("删除临时密钥对失败.");
        }
        return -1;
    }
}

//功能：产生指定类型(签名或加密)的RSA密钥对，输出相应的公钥
function genRSAKeyPair(keySpec, modulus) {
    try {
        if ( isIE()) {
            var pubkey;
            UniContrl.keySpec = KT_SIGNATURE;
            pubkey = UniContrl.genRSAKeyPair(modulus);

            if ((pubkey == "") || (pubkey == null) || (typeof (pubkey) == "undefined")) {
                alert("生成密钥对失败");
                return "";
            } else {
                return pubkey;
            }
        }
        else {
            try {
                var json;
                var json = '{"function":"genRSAKeyPair"' + ',"modulus":' + modulus + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("genRSAKeyPair=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("生成密钥对发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("生成密钥对失败");
        }
        return "";
    }
}

/*
[in]modulus:目前为1024  
	  randStr：随机数
[return]:成功返回公钥+POP 失败返回空串
*/
function genRSAKeyPairPOP(modulus, randStr) {
    try {
        if ( isIE()) {
            var ret;
            UniContrl.keySpec = KT_SIGNATURE;
            ret = UniContrl.genRSAKeyPair(modulus);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"genRSAKeyPair"' + ',"modulus":' + modulus + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("genRSAKeyPair=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取公钥和POP项发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取公钥和POP项发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取公钥和POP项失败.");
        }
        return "";
    }
}

/*
[in]modulus:目前为1024  
	  randStr：随机数
[return]:成功返回公钥+POP 失败返回空串
*/
function genRSAKeyPairPOP_EX(modulus, randStr) {
    try {
        if ( isIE()) {
            var ret;
            UniContrl.keySpec = KT_SIGNATURE;
            ret = UniContrl.genRSAKeyPair(modulus);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"genRSAKeyPair"' + ',"modulus":' + modulus + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("genRSAKeyPair=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取公钥和POP项发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取公钥和POP项发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取公钥和POP项失败.");
        }
        return "";
    }
}

//选择签名证书，将签名证书所在容器置为当前容器。
function selectSignCert(signCert) {
    try {
        if ( isIE()) {
            var ret = 0;
            UniContrl.keySpec = KT_SIGNATURE;
            ret = UniContrl.selectSignCert(signCert);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"selectSignCert"' + ',"signCert":"' + signCert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("selectSignCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("选择签名证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("选择签名证书发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("选择签名证书失败.");
        }
        return -1;
    }
}

//保存加密证书(单变双)
function saveCertAndPrivateKeyWithSignKey(packdata, transactionId) {
    try {
        var encCert;
        var encPriKey;
        var start, end;
        var pack;
        var isSoftLib;

        // 分解包，分解为三部分
        pack = packdata;
        start = 0;
        end = pack.indexOf("    ", start);
        if (end <= 0) {
            alert("保存证书失败.");
            return false;
        }
        encCert = pack.substring(start, end);
        start = end + 4;
        encPriKey = pack.substring(start, pack.length);

        if ( isIE()) {
            isSoftLib = isCCITSoftLib();
            if (isSoftLib) {
                onTransactionId(transactionId);
                UniContrl.OnPreDownloadCert(transactionId);
            }

            UniContrl.keySpec = KT_EXCHANGE;
            UniContrl.saveKeyPairEx(UniContrl.getCertPubKey(encCert), encPriKey, KET_ENCBYSIGNKEY);
            UniContrl.saveCertWithMatchPriKey(encCert);
            if (isSoftLib) {
                UniContrl.SetPrompt(1);
                UniContrl.OnDownloadCert(transactionId);
            }
            return true;
        }
        else {
            try {
                var json;

                var json = '{"function":"saveCertAndPrivateKeyWithSignKey", "encCert":"' + encCert + '","encPriKey":' + encPriKey + '"}';

                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("saveCertAndPrivateKeyWithSignKey=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("保存证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0)
                    return true;
                else
                    return false;
            }
        }
    } catch (e) {
        if (e.description != "") {
            alert("保存证书发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("保存证书失败.");
        }
        return false;
    }
}


/***********************
[in]provName CSP名称
		certData 管理员证书内容 --base64编码，本接口根据certData内容选择相应设备进行操作。
		UserType 0 用户  1 管理员
[retval]1--成功  其它失败
[comments]根据管理员证书内容区分管理员key和用户key,当UserType传入0时初将用户设备置为当前设备，
当UserType为1时置管理员设备为当前设备。调用本接口前不需要调用initProv接口
//algType:算法类型，0--RSA；1--SM2
***************************************/
function SetCurrentDevice(provName, certData, UserType, algType) {
    try {
        if ( isIE()) {
            var RetVal = 0;
            var devCnt = 0;
            if (1 == algType) {
                devCnt = SM2Contrl.enumDevice(provName, certData, UserType);
                RetVal = 1;
            }
            else {
                UniContrl.providerNameEx = provName;
                RetVal = UniContrl.SetCurrentDevice(certData, UserType);
                if (RetVal == 0) {
                    RetVal = 1;
                }
            }
            return RetVal;
        }
        else {
            try {
                var json;
                if (1 == algType) {
                    var json = '{"function":"enumDevice", "provName":"' + provName + '", "certData":"' + certData + '","UserType":' + UserType + '}';
                }
                else {
                    var json = '{"function":"initProvEx", "provName":"' + provName + '", "certData":"' + certData + '","UserType":' + UserType + '}';
                }

                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("initProvEx=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0)
                    return 1;
                else {
                    return -1;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("发生错误！\r\n错误码:" + dec2hex(e.number) + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("错误码:" + dec2hex(e.number));
        }
        return -1;
    }
}

/***********************
查看证书
***************************************/
function ViewCertInfo(cert) {
    try {
        if ( isIE()) {
            UniContrl.ViewCertInfo(cert);
            return true;
        }
        else {
            try {
                var json;
                var json = '{"function":"ViewCertInfo", "cert":"' + cert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("ViewCertInfo=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("查看证书信息发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("查看证书信息发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("查看证书信息失败.");
        }
        return false;
    }
}

/**************************
功能：对数据进行  hash
输入:
	[in]srcData 待hash数据(base64编码)
返回值: 
	hash值(base64编码)
	
说明: HASH摘要算法为SHA1	
*****************/
function HashData(srcData) {
    try {
        if ( isIE()) {
            var ret;
            ret = UniContrl.hashData(srcData);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"HashData", "srcData":"' + srcData + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("HashData=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取摘要失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取摘要失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取摘要失败.");
        }
        return "";
    }
}

/**************************
功能：对文件内容作 SHA1 hash
输入:
	[in]filePath 待hash文件存放路径
返回值: 
	hash值(base64编码)
	
说明: HASH摘要算法为SHA1	
*****************/
function HashFile(filePath) {
    try {
        if ( isIE()) {
            var ret;
            ret = UniContrl.hashFile(filePath);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"HashFile", "filePath":"' + filePath + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("HashFile=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取摘要失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取摘要失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取摘要失败.");
        }
        return "";
    }
}

/**************************
功能：删除CCIT目录
说明: file参数为空时自动删除系统磁盘下的CCIT整个目录，也可以用这个参数指定需要删除的目录。
制定目录时注意用双斜杠的形式:
          如:file="F:\\CCIT";js_DelCCITDir(file);//将删除F盘的CCIT目录。
*****************/
function js_DelCCITDir(filePath) {
    try {
        if ( isIE()) {
            UniContrl.Del_CCITDirAndFiles(file);
            return true;
        }
        else {
            try {
                var json;
                var json = '{"function":"js_DelCCITDir", "filePath":"' + filePath + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return false;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("js_DelCCITDir=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("删除证书目录失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                if (ret.resultMSG == 0) {
                    return true;
                } else {
                    return false;
                }
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("删除证书目录失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("删除证书目录失败!");
        }
        return false;
    }
}

//获取主机名称，flag==0->return hostName；flag==1->return IP
function GetHostName(flag) {
    try {
        if ( isIE()) {
            var start;
            var end;
            var hostName = UniContrl.GetHostName();
            start = 0;
            end = hostName.indexOf("***", start);
            var host = hostName.substring(start, end);
            var ip = hostName.substring(end + 3, hostName.length);
            if (0 == flag)
                return host;//ret结构为hostName***IP
            else
                return ip;
        }
        else {
            try {
                var json;
                var json = '{"function":"GetHostName"' + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("GetHostName=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取HostName!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                start = 0;
                hostName = ret.resultMSG;
                end = hostName.indexOf("***", start);
                var host = hostName.substring(start, end);
                var ip = hostName.substring(end + 3, hostName.length);
                if (0 == flag)
                    return host;//ret结构为hostName***IP
                else
                    return ip;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取HostName 失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取HostName 失败!");
        }
        return "";
    }
}

//导入pfx证书到usbkey中，目前仅支持rsa,成功：1
function importPfxCertToDev(pfxString, pass, ContName) {
    try {
        if ( isIE()) {
            var ret = UniContrl.importP12CertToDev(pfxString, pass, ContName, "NULL");
            if (ret == 1)
                return 1;
            else
                return 0;
        }
        else {
            try {
                var json;
                var json = '{"function":"importP12CertToDev"' + ',"pfxString":"' + pfxString + '","pass":"' + pass + '","ContName":"' + ContName + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("importP12CertToDev=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("pfx证书导入设备失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("pfx证书导入设备失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("pfx证书导入设备失败!");
        }
        return 0;
    }
}

//此接口应广州MobileMarket中电子签约项目需求所增加，用户的P12证书在服务器端生成，用户直接下载P12证书。
//用户设定的P12证书密码在申请时设定，加密传输到服务器用以生成这个P12证书
function importPfxCertToSoftCont(pfxString, CertCN) {
    try {
        if ( isIE()) {
            UniContrl.saveP12cert(pfxString, CertCN);
            return 0;
        }
        else {
            try {
                var json;
                var json = '{"function":"saveP12cert"' + ',"pfxString":"' + pfxString + '","CertCN":"' + CertCN + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("saveP12cert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("pfx证书导入失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("pfx证书导入失败!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("pfx证书导入失败!");
        }
        return 1;
    }
}

// 证书代办
/*
[in]CertData :待保存的数据
       ContainerName：临时容器名
[return]:0--成功，其它失败
*/
function saveCertAndPrivateKeyWithTempKey(certAndPriKeyPackdata, transactionId) {
    var signCertAndPriKey;
    var encCertAndPriKey;
    var start, end;
    var pack;
    // 分解包，分解为两部分
    pack = certAndPriKeyPackdata;
    //签名证书和签名证书私钥
    start = 0;
    end = pack.indexOf("    ", start);
    if (end <= 0)   // 单证书
    {
        signCertAndPriKey = certAndPriKeyPackdata;
        encCertAndPriKey = "";
    }
    else {
        signCertAndPriKey = pack.substring(start, end);
        //加密证书和加密证书私钥
        start = end + 4;
        encCertAndPriKey = pack.substring(start, pack.length);
    }

    try {
        if ( isIE()) {
            UniContrl.keySpec = KT_SIGNATURE;
            ret = UniContrl.saveCertAndPrivateKeyWithTempKey(signCertAndPriKey, "CMCATempCont1");

            if (encCertAndPriKey.size != 0) {
                UniContrl.keySpec = KT_EXCHANGE;
                ret = UniContrl.saveCertAndPrivateKeyWithTempKey(encCertAndPriKey, "CMCATempCont1");
            }
        }
        else {
            try {
                var json;
                var json = '{"function":"saveCertAndPrivateKeyWithTempKey"' + ',"signCertAndPriKey":"' + signCertAndPriKey + '","encCertAndPriKey":"' + encCertAndPriKey + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("saveCertAndPrivateKeyWithTempKey=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("保存证书发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("保存证书发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        return -1;
    }
}

//读取Ukey序列号,目前只支持飞天2000key
function readUkeySN(cspName) {
    try {
        if ( isIE()) {
            var ukeySN = UniContrl.readUkeySN(cspName);
            return ukeySN;
        }
        else {
            try {
                var json;
                var json = '{"function":"readUkeySN", "cspName":"' + cspName + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("readUkeySN=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取Ukey序列号发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取Ukey序列号发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取Ukey序列号发生错误！");
        }

        return "";
    }
}

//获取控件版本号
function GetControlVersion() {
    try {
        if ( isIE()) {
            var version = UniContrl.GetControlVersion();
            return version;
        }
        else {
            try {
                var json;
                var json = '{"function":"GetControlVersion"' + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("GetControlVersion=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取控件版本发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("获取控件版本发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取控件版本发生错误！");
        }

        return "";
    }
}


function MakeP7signEnvelope(srcData, iSignAlg, Base64ReceiverCert) {
    try {
        if ( isIE()) {
            var ret = UniContrl.MakeP7signEnvelope(srcData, iSignAlg, Base64ReceiverCert);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"MakeP7signEnvelope", "srcData":"' + srcData + '","iSignAlg":' + iSignAlg + ',"Base64ReceiverCert":"' + Base64ReceiverCert + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("MakeP7signEnvelope=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("生成数字信封失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("生成数字信封失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("生成数字信封失败！!");
        }

        return "";
    }
}

function hashDataEX(srcData, iSignAlg) {
    try {
        if ( isIE()) {
            var ret = UniContrl.hashDataEX(srcData, iSignAlg);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"hashDataEX", "srcData":"' + srcData + '","iSignAlg":' + iSignAlg + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("hashDataEX=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("摘要失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("摘要失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("摘要失败！!");
        }

        return "";
    }
}

//初始化连接设备，设备名provName
//设置当前CSP,将页面CSP下拉列表中当前CSP设置为当前CSP
//移动投标用初始化接口：只支持SM2算法，
//初始化时选则证书最新的那个容器
function initProv_EX(provName) {
    IsSM2DevSelected = 1;
    try {
        if ( isIE()) {
            var ret = SM2Contrl.put_providerNameEX(provName);
            M_PROVNAME = provName;
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"initProv_EX", "provName":"' + provName + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("initProv_EX=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("初始化设备发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("初始化设备发生错误！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("初始化设备发生错误！");
        }

        return "";
    }
}

/*******************************
pkcs7签名
srcData：原文或文件路径
iSrcType为1则srcdata为待签名数据，
iSrcType为2则srcdata为待签名文件路径
返回值：
成功返回P7签名结果，失败返回failed
****************************************/
function P7sign(srcData, iSrcType) {
    try {
        if ( isIE()) {
            var ret = SM2Contrl.P7Sign(srcData, iSrcType);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"P7sign", "srcData":"' + srcData + '","iSrcType":' + iSrcType + '}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("P7sign=" + ret.resultMSG);
                if (ret.errcode != 0) {
                   // alert("P7签名失败!" + "\r\n" + "错误描述：" + ret.errMsg);
				   getErrinfo(ret.errcode);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
		getErrinfo(e.number);
        /* if (e.description != "") {
            alert("P7签名失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("P7签名失败！!");
        } */

        return "";
    }
}

/*******************************
pkcs7验证签名
srcData：原文或文件路径
iSrcType为1则srcdata为待签名数据，
iSrcType为2则srcdata为待签名文件路径
signData：签名值或签名值所在文件路径
iSignType：
iSignType为1则signData为签名数据，
iSignType为2则signData为签名数据文件路径
返回值：
0--成功，其他失败
****************************************/
function P7VerifySign(srcData, iSrcType, signData, iSignType) {
    try {
        if ( isIE()) {
            var ret = SM2Contrl.P7VerifySign(srcData, iSrcType, signData, iSignType);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"P7VerifySign", "srcData":"' + srcData + '","iSrcType":' + iSrcType + ',"signData":"' + signData + '","iSignType":' + iSignType + '}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("P7VerifySign=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("P7验签失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("P7验签失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("P7验签失败！");
        }

        return -1;
    }
}


//判断证书是否过期，0在有效期内，1不在有效期内
function isCertTimeValid(CertData) {

    try {
        if ( isIE()) {
            var isCertValid;
            isCertValid = UniContrl.isCertTimeValid(CertData);
            return isCertValid;
        }
        else {
            try {
                var json;

                json = '{"function":"isCertTimeValid"' + ',"CertData":"' + CertData + '"}';

                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("isCertTimeValid=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("判断证书是否过期失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("判断证书是否过期失败！" + "\r\n" + "错误描述：" + e.description);
        }
    }
}


/**********************************
srcData:待加密文件路径或待加密数据
iSrcType：srcData为待加密数据时传1；srcData为待加密文件路径时传2
certData：服务端证书
返回值：iSrcType为1时返回加密后的base64结果；
		iSrcType为2时，成功返回sucess，失败返回failed，
		加密后数据保存在待加密文件路径.enc文件中
*****************************************/
function P7Envlop(srcData, iSrcType, certData) {
    try {
        if ( isIE()) {
            var ret = SM2Contrl.p7Envelop(srcData, iSrcType, certData);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"P7Envlop", "srcData":"' + srcData + '","iSrcType":' + iSrcType + ',"certData":"' + certData + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "failed";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("P7Envlop=" + ret.resultMSG);
                if (ret.errcode != 0) {
					getErrinfo(ret.errcode);
                   // alert("生成数字信封失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        /* if (e.description != "") {
            alert("生成数字信封失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("生成数字信封失败！!");
        } */
			getErrinfo(e.number);
        return "failed";
    }
}


//签名扩展，每次都验证PIN码
function signatureEX(srcData) {
    try {
        if ( isIE()) {
            var signdata = "";
            signdata = SM2Contrl.signatureEX(srcData);
            return signdata;
        }
        else {
            try {
                var json;
                var json = '{"function":"signatureEX"' + ',"srcData":"' + srcData + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return "";
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("signatureEX=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("数字签名失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("数字签名失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("数字签名失败！!");
        }

        return "";
    }
}


//证书验签,1--成功
function verifyWithCert(srcData, certData, signData) {
    try {
        if ( isIE()) {
            var ret = SM2Contrl.verifyWithCert(srcData, certData, signData);
            return ret;
        }
        else {
            try {
                var json;
                var json = '{"function":"verifyWithCert"' + ',"srcData":"' + srcData + '","certData":"' + certData + '","signData":"' + signData + '"}';
                AjaxIO(json);
            }
            catch (e) {
                return -1;
            }

            var ret = GetHttpResult();
            if (ret) {
                //console.log("verifyWithCert=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("验证签名失败!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            alert("验证签名失败！" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("验证签名失败！!");
        }

        return "";
    }
}

function getCSPName() {
    try {
        if ( isIE()) {
            var cspName = SM2Contrl.getCSPNameByVid();
            return cspName;
        }
        else {
            var json;
            var json = '{"function":"getCSPNameByVid"' + '}';
            AjaxIO(json);

            var ret = GetHttpResult();
            if (ret) {
                //console.log("getCSPNameByVid=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("获取CSP名称发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if (e.description != "") {
            var L111 = e.number;
            var L222 = OLE_E_FIRST | L111;
            var L333 = OLE_E_FIRST ^ L222;
            if (ERR_CANCEL == L333) {
                return "";
            }
            alert("获取CSP名称发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("获取CSP名称发生错误.");
        }
        return "";
    }
}



function getUKeyNum() {
    try {
        if ( isIE()) {
            var ukeyNum = SM2Contrl.getUKeyNum();
            return ukeyNum;
        }
        else {
            var json;
            var json = '{"function":"getUKeyNum"' + '}';
            AjaxIO(json);

            var ret = GetHttpResult();
            if (ret) {
                //console.log("getUKeyNum=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("getUKeyNum发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }

    }
    catch (e) {
        if (e.description != "") {

            alert("getUKeyNum发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("getUKeyNum发生错误.");
        }
        return "";
    }
}



function getCertExtensionEX(certData) {
	if (isIE())
	{
		try{
			var certExtension = UniContrl.getCertExtensionEX(certData);
			return certExtension;
		}
		catch (e) {
			if (e.description != "") {
				alert("获取证书扩展项信息发生错误!" + "\r\n" + "错误描述：" + e.description);
			}
			else {
				alert("获取证书扩展项信息失败.");
			}
			return "";
		}
	}
	else{
		try {
			var json;
			json = '{"function":"getCertExtensionEX", "certData":"' + certData+ '"}';
			AjaxIO(json);
		}
		catch (e) {
			return "";
		}

		var ret = GetHttpResult();
		if (ret) {
			//console.log("getCertExtension=" + ret.resultMSG);
			if(ret.errcode != 0)
			{
				alert("获取证书扩展项信息发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
			}
			return ret.resultMSG;
		}
	}
	 
}

function getRandom()
{
	if (isIE())
	{
		try{
			var randomData = SM2Contrl.GMGetRandom();
			return randomData;
		}
		catch (e) {
			if (e.description != "") {
				alert("获取随机数发生错误!" + "\r\n" + "错误描述：" + e.description);
			}
			else {
				alert("获取随机数失败.");
			}
			return "";
		}
	}
	else{
		try {
			var json;
			json = '{"function":"GMGetRandom"' + '}';
			AjaxIO(json);
		}
		catch (e) {
			return "";
		}

		var ret = GetHttpResult();
		if (ret) {
			//console.log("getRandom=" + ret.resultMSG);
			if(ret.errcode != 0)
			{
				alert("获取随机数发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
			}
			return ret.resultMSG;
		}
	}
}

function EsRemoteOperation(pszSrvSign, u4SrvSignLen)
{
	if (isIE())
	{
		try{
			var ret = SM2Contrl.UKEsRemoteOperation(pszSrvSign, u4SrvSignLen);
			return ret;
		}
		catch (e) {
			if (e.description != "") {
				alert("远程解锁发生错误!" + "\r\n" + "错误描述：" + e.description);
			}
			else {
				alert("远程解锁失败.");
			}
			return -1;
		}
	}
	else{
		try {
			var json;
			var json = '{"function":"UKEsRemoteOperation", "pszSrvSign":"' + pszSrvSign + '","u4SrvSignLen":'+u4SrvSignLen+ '}';
			AjaxIO(json);
		}
		catch (e) {
			return "";
		}

		var ret = GetHttpResult();
		if (ret) {
			//console.log("UKEsRemoteOperation=" + ret.resultMSG);
			if(ret.errcode != 0)
			{
				alert("远程解锁发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
			}
			return ret.resultMSG;
		}
	}
}

//获取Ukey序列号
function getUKeySN() {
    try {
        if ( isIE()) {
            var ukeySN = SM2Contrl.GetUkeySN();
            return ukeySN;
        }
        else {
            var json;
            var json = '{"function":"GetUkeySN"' + '}';
            AjaxIO(json);

            var ret = GetHttpResult();
            if (ret) {
                //console.log("GetUkeySN=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    alert("GetUkeySN发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }

    }
    catch (e) {
        if (e.description != "") {

            alert("GetUkeySN发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("GetUkeySN发生错误.");
        }
        return "";
    }
}

function genTempSM2KeyPair()
{
	try{
		var pubkey = SM2Contrl.genTempSM2KeyPair(256, "tmpcont");
		return pubkey;
	}
	catch (e) {
        if (e.description != "") {

            alert("genTempSM2KeyPair发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("GegenTempSM2KeyPair发生错误.");
        }
        return "";
    }
}


function getErrinfo(errCode)
{
	var L111 = errCode;
	var L222 = OLE_E_FIRST | L111;
	var L333 = OLE_E_FIRST ^ L222;
	if(L333 == 0xB002)
	{
		alert("您好，参数为空，请使用时检查输入参数内容、base64证书、输入文件路径、签名内容等是否均正确填写。如果确认都已填写，可保留参数，并联系“ES运维”电话。");
	}
	else if(L333 == 0xB003)
	{
		alert("您好，请检查输入的base64证书内容是否正确。如果确认都已填写，可保留参数，并联系请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB004)
	{
		alert("您好，请检查是否插入电子钥匙或者是否安装驱动！");
	}
	else if(L333 == 0xB005)
	{
		alert("您好，分配内存错误，文件过大(单个文件不得大于30M，超过30M使用分卷压缩)；可能内存不足，关闭无用的应用程序。如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB008)
	{
		alert("您好，验证签名失败，请检查是否插入了正确的电子钥匙；如果确认Ukey无误，可保留参数，并联系“ES运维”电话");
	}
	else if(L333 == 0xB009)
	{
		alert("打开文件错误,请检查打开文件路径是否存在、是否正确。如仍然无法解决请拨打“ES运维或BJCA热线”电话。");
	}
	else if(L333 == 0xB00A)
	{
		alert("您好，请检查是否插入了正确的电子钥匙；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB00D)
	{
		alert("您好，未初始化或初始化失败，请检查是否插入电子钥匙或者是否安装驱动！");
	}
	else if(L333 == 0xB00E)
	{
		alert("您好，证书数据与电子钥匙中密钥不匹配，请检查是否插入了正确的电子钥匙；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB00F)
	{
		alert("您好，保存证书失败，请检查是否插入了正确的电子钥匙；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB010)
	{
		alert("您好，数字签名失败，请使用时检查输入参数内容、输入文件路径、签名内容等是否均正确填写。如果确认都已填写，可保留参数，并联系“ES运维”电话。");
	}
	else if(L333 == 0xB015)
	{
		alert("您好，请检查是否插入电子钥匙！如已插入，请卸载现有版本证书助手程序，重新安装；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB016)
	{
		alert("您好，读证书数据失败！请确认是否插入了正确的电子钥匙，电子钥匙是否已安装证书；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB019)
	{
		alert("用户已取消操作");
	}
	else if(L333 == 0xB01F)
	{
		alert("您好，读配置文件失败，请卸载现有版本证书助手程序，重新安装；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB020)
	{
		alert("您好，验证签名失败，请检查是否插入了正确的电子钥匙；如果确认Ukey无误，可保留参数，并联系“ES运维”电话");
	}
	else if(L333 == 0xB021)
	{
		alert("您好，对称加密失败，请检查电子钥匙是否已插入，输入参数内容、对称密钥等是否均正确填写。如果确认都已填写，可保留参数，并联系“ES运维”电话。");
	}
	else if(L333 == 0xB022)
	{
		alert("您好，对称解密失败，请检查电子钥匙是否已插入，输入参数内容、对称密钥等是否均正确填写。如果确认都已填写，可保留参数，并联系“ES运维”电话。");
	}
	else if(L333 == 0xB023)
	{
		alert("您好，未找到可用的电子钥匙，请检查是否已插入正确的电子钥匙；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB024)
	{
		alert("您好，未找到可用的电子钥匙，请检查是否已插入正确的电子钥匙；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB026)
	{
		alert("您好，用户口令验证失败，请检查是否已插入正确的电子钥匙，输入的用户口令是否正确；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB028)
	{
		alert("您好，数据加密失败，请检查是否已插入正确的电子钥匙，输入参数内容、证书数据等是否均正确填写；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB029)
	{
		alert("您好，无效的公钥，请检查输入的证书数据是否正确；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB02A)
	{
		alert("您好，数字信封加密失败，请检查是否插入了正确的电子钥匙，如已插入正确的电子钥匙，请卸载现有版本证书助手程序，重新安装；如仍然无法解决请拨打“ES运维或BJCA热线”电话。");
	}
	else if(L333 == 0xB02C)
	{
		alert("您好，无效的证书数据，请检查是否插入了正确的电子钥匙，输入的证书数据是否正确；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB02C)
	{
		alert("您好，无效的证书数据，请检查是否插入了正确的电子钥匙，输入的证书数据是否正确；如仍然无法解决请拨打“ES运维”电话。");
	}
	else if(L333 == 0xB02D)
	{
	alert("您好，您的Ukey已被锁定，请使用CMCA证书助手解锁");
	}
	else{
		alert("您好，请检查是否插入了正确的电子钥匙，是否已安装证书助手；请卸载现有版本证书助手程序，重新安装；如仍然无法解决请拨打“ES运维”电话。");
	}
}
//algType:算法类型，0--RSA；1--SM2
function initProvWithALG(provName, algType) {
    var ret;
    try {
        if ( isIE()) {
            if (1 == algType) {
                SM2Contrl.providerName = provName;
                IsSM2DevSelected = 1;
            }
            else {
                UniContrl.providerName = provName;
                IsSM2DevSelected = 0;
            }
            M_PROVNAME = provName;

            return 0;
        }
        else {
            var json;
            if (1 == algType) {
                IsSM2DevSelected = 1;
                json = '{"function":"PutSM2ProviderName", "provName":"' + provName + '"}';
            }
            else {
                IsSM2DevSelected = 0;
                json = '{"function":"PutRSAProviderName", "provName":"' + provName + '"}';
            }

            AjaxIO(json);
            var ret = GetHttpResult();
            if (ret) {
                //console.log("initProv=" + ret.resultMSG);
                if (ret.errcode != 0) {
                    // alert("初始化连接设备发生错误!" + "\r\n" + "错误描述：" + ret.errMsg);
                }
                return ret.resultMSG;
            }
        }
    }
    catch (e) {
        if ((e.number & 0xF000) == 0x6000) {
            alert("发生错误!\r\n请确定USB Key已经正确插入，然后再重试!");
            func(-1);
        }
        if (e.description != "") {
            // alert("初始化连接设备发生错误!" + "\r\n" + "错误描述：" + e.description);
        }
        else {
            alert("初始化连接设备失败.");
        }
        return -1;
    }
}







